Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl
Interface GL2GL3

All Superinterfaces:
  GL, GL2ES2, GLBase

All Known Subinterfaces:
  GL2, GL3

All Known Implementing Classes:
  DebugGL2, DebugGL2GL3, DebugGL3, TraceGL2, TraceGL2GL3, TraceGL3

    public interface GL2GL3

extends GLBase, GL, GL2ES2

Interface containing the common subset of GL3 (OpenGL 3.1+) and GL2 (OpenGL 3.0), also known as the OpenGL 3.0 forward compatible, non deprecated subset.
This interface reflects only the programmable shader functionality of desktop OpenGL

Field Summary
`static int` | `GL_ALPHA_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_ALPHA_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_ALPHA_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_ALPHA_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_BACK_LEFT` Part of `GL_VERSION_1_0`
`static int` | `GL_BACK_RIGHT` Part of `GL_VERSION_1_0`
`static int` | `GL_BGR` Part of `GL_VERSION_1_2`
`static int` | `GL_BGR_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_BGRA` Part of `GL_VERSION_1_2`
`static int` | `GL_BGRA_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_BLUE` Part of `GL_VERSION_1_0`
`static int` | `GL_BLUE_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_CLAMP_READ_COLOR` Part of `GL_VERSION_3_0`
`static int` | `GL_CLAMP_TO_BORDER` Part of `GL_VERSION_1_3`
`static int` | `GL_CLIP_DISTANCE0` Part of `GL_VERSION_3_0`
`static int` | `GL_CLIP_DISTANCE1` Part of `GL_VERSION_3_0`
`static int` | `GL_CLIP_DISTANCE2` Part of `GL_VERSION_3_0`
`static int` | `GL_CLIP_DISTANCE3` Part of `GL_VERSION_3_0`
`static int` | `GL_CLIP_DISTANCE4` Part of `GL_VERSION_3_0`
`static int` | `GL_CLIP_DISTANCE5` Part of `GL_VERSION_3_0`
`static int` | `GL_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_COLOR_ATTACHMENT1` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT10` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT11` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT12` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT13` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT14` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT15` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT2` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT3` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT4` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT5` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT6` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT7` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT8` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_ATTACHMENT9` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_COLOR_FLOAT_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_COMPRESSED_RED` Part of `GL_VERSION_3_0`
`static int` | `GL_COMPRESSED_RG` Part of `GL_VERSION_3_0`
`static int` | `GL_COMPRESSED_RGB` Part of `GL_VERSION_1_3`
`static int` | `GL_COMPRESSED_RGBA` Part of `GL_VERSION_1_3`
`static int` | `GL_COMPRESSED_SRGB` Part of `GL_VERSION_2_1`
`static int` | `GL_COMPRESSED_SRGB_ALPHA` Part of `GL_VERSION_2_1`
`static int` | `GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT` Part of `GL_VERSION_3_0`
`static int` | `GL_CONTEXT_FLAGS` Part of `GL_VERSION_3_0`
`static int` | `GL_CONTINUOUS_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_CURRENT_QUERY` Part of `GL_VERSION_1_5`
`static int` | `GL_DEPTH` Part of `GL_VERSION_1_0`
`static int` | `GL_DEPTH_BUFFER` Part of `GL_VERSION_3_0`
`static int` | `GL_DEPTH_STENCIL` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DEPTH_STENCIL_ATTACHMENT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DEPTH24_STENCIL8` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DISCRETE_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_DOUBLE` Part of `GL_VERSION_1_0`
`static int` | `GL_DOUBLEBUFFER` Part of `GL_VERSION_1_0`
`static int` | `GL_DRAW_BUFFER` Part of `GL_VERSION_1_0`
`static int` | `GL_DRAW_BUFFER0` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER1` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER10` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER11` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER12` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER13` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER14` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER15` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER2` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER3` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER4` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER5` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER6` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER7` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER8` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_BUFFER9` Part of `GL_VERSION_2_0`
`static int` | `GL_DRAW_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DRAW_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_DYNAMIC_COPY` Part of `GL_VERSION_1_5`
`static int` | `GL_DYNAMIC_READ` Part of `GL_VERSION_1_5`
`static int` | `GL_FILL` Part of `GL_VERSION_1_0`
`static int` | `GL_FIXED_ONLY` Part of `GL_VERSION_3_0`
`static int` | `GL_FLOAT_CLEAR_COLOR_VALUE_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_MAT2x3` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_MAT2x4` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_MAT3x2` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_MAT3x4` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_MAT4x2` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_MAT4x3` Part of `GL_VERSION_2_1`
`static int` | `GL_FLOAT_R_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_R16_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_R32_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RG_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RG16_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RG32_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGB_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGB16_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGB32_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGBA_MODE_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGBA_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGBA16_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FLOAT_RGBA32_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_LAYERED` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_DEFAULT` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRAMEBUFFER_UNDEFINED` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_FRONT_LEFT` Part of `GL_VERSION_1_0`
`static int` | `GL_FRONT_RIGHT` Part of `GL_VERSION_1_0`
`static int` | `GL_GEOMETRY_INPUT_TYPE` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_GEOMETRY_OUTPUT_TYPE` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_GEOMETRY_SHADER` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_GEOMETRY_VERTICES_OUT` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_GREEN` Part of `GL_VERSION_1_0`
`static int` | `GL_GREEN_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_HALF_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_INT_SAMPLER_1D` Part of `GL_VERSION_3_0`
`static int` | `GL_INT_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_INT_SAMPLER_2D` Part of `GL_VERSION_3_0`
`static int` | `GL_INT_SAMPLER_2D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_INT_SAMPLER_2D_RECT` Part of `GL_EXT_gpu_shader4`
`static int` | `GL_INT_SAMPLER_3D` Part of `GL_VERSION_3_0`
`static int` | `GL_INT_SAMPLER_BUFFER` Part of `GL_EXT_gpu_shader4`
`static int` | `GL_INT_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_INT_SAMPLER_CUBE` Part of `GL_VERSION_3_0`
`static int` | `GL_INTENSITY_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_INTENSITY_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_INTENSITY_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_INTENSITY_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_INTERLEAVED_ATTRIBS` Part of `GL_VERSION_3_0`
`static int` | `GL_LEFT` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE_STRIP_ADJACENCY` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_LINE_WIDTH_GRANULARITY` Part of `GL_VERSION_1_0`
`static int` | `GL_LINE_WIDTH_RANGE` Part of `GL_VERSION_1_0`
`static int` | `GL_LINES_ADJACENCY` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_LOWER_LEFT` Part of `GL_VERSION_2_0`
`static int` | `GL_LUMINANCE_ALPHA_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_LUMINANCE_ALPHA_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_LUMINANCE_ALPHA_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_LUMINANCE_ALPHA_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_LUMINANCE_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_LUMINANCE_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_LUMINANCE_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_LUMINANCE_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_MAJOR_VERSION` Part of `GL_VERSION_3_0`
`static int` | `GL_MAP_FLUSH_EXPLICIT_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAP_INVALIDATE_BUFFER_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAP_INVALIDATE_RANGE_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAP_READ_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAP_UNSYNCHRONIZED_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAP_WRITE_BIT` Part of `GL_ARB_map_buffer_range`
`static int` | `GL_MAX` Part of `GL_ARB_imaging`
`static int` | `GL_MAX_3D_TEXTURE_SIZE` Part of `GL_VERSION_1_2`
`static int` | `GL_MAX_CLIP_DISTANCES` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_COLOR_ATTACHMENTS` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_MAX_DRAW_BUFFERS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_ELEMENTS_INDICES` Part of `GL_VERSION_1_2`
`static int` | `GL_MAX_ELEMENTS_VERTICES` Part of `GL_VERSION_1_2`
`static int` | `GL_MAX_FRAGMENT_UNIFORM_COMPONENTS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_GEOMETRY_OUTPUT_VERTICES` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MAX_GEOMETRY_UNIFORM_COMPONENTS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MAX_GEOMETRY_VARYING_COMPONENTS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MAX_PROGRAM_TEXEL_OFFSET` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_RECTANGLE_TEXTURE_SIZE` Part of `GL_EXT_texture_rectangle`
`static int` | `GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB` Part of `GL_ARB_texture_rectangle`
`static int` | `GL_MAX_SAMPLES` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_MAX_TEXTURE_BUFFER_SIZE` Part of `GL_ARB_texture_buffer_object`
`static int` | `GL_MAX_TEXTURE_LOD_BIAS` Part of `GL_VERSION_1_4`
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_VARYING_COMPONENTS` Part of `GL_VERSION_3_0`
`static int` | `GL_MAX_VARYING_FLOATS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_VERTEX_UNIFORM_COMPONENTS` Part of `GL_VERSION_2_0`
`static int` | `GL_MAX_VERTEX_VARYING_COMPONENTS` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_MIN` Part of `GL_ARB_imaging`
`static int` | `GL_MIN_PROGRAM_TEXEL_OFFSET` Part of `GL_VERSION_3_0`
`static int` | `GL_MINOR_VERSION` Part of `GL_VERSION_3_0`
`static int` | `GL_NUM_EXTENSIONS` Part of `GL_VERSION_3_0`
`static int` | `GL_PACK_IMAGE_HEIGHT` Part of `GL_VERSION_1_2`
`static int` | `GL_PACK_LSB_FIRST` Part of `GL_VERSION_1_0`
`static int` | `GL_PACK_ROW_LENGTH` Part of `GL_VERSION_1_0`
`static int` | `GL_PACK_SKIP_IMAGES` Part of `GL_VERSION_1_2`
`static int` | `GL_PACK_SKIP_PIXELS` Part of `GL_VERSION_1_0`
`static int` | `GL_PACK_SKIP_ROWS` Part of `GL_VERSION_1_0`
`static int` | `GL_PACK_SWAP_BYTES` Part of `GL_VERSION_1_0`
`static int` | `GL_PIXEL_PACK_BUFFER` Part of `GL_VERSION_2_1`
`static int` | `GL_PIXEL_PACK_BUFFER_BINDING` Part of `GL_VERSION_2_1`
`static int` | `GL_PIXEL_UNPACK_BUFFER` Part of `GL_VERSION_2_1`
`static int` | `GL_PIXEL_UNPACK_BUFFER_BINDING` Part of `GL_VERSION_2_1`
`static int` | `GL_POINT` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_SIZE_GRANULARITY` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_SIZE_RANGE` Part of `GL_VERSION_1_0`
`static int` | `GL_POINT_SPRITE_COORD_ORIGIN` Part of `GL_VERSION_2_0`
`static int` | `GL_POLYGON_OFFSET_LINE` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_OFFSET_POINT` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_SMOOTH` Part of `GL_VERSION_1_0`
`static int` | `GL_POLYGON_SMOOTH_HINT` Part of `GL_VERSION_1_0`
`static int` | `GL_PRIMITIVE_RESTART` Part of `GL_NV_primitive_restart`
`static int` | `GL_PRIMITIVE_RESTART_INDEX` Part of `GL_NV_primitive_restart`
`static int` | `GL_PRIMITIVES_GENERATED` Part of `GL_VERSION_3_0`
`static int` | `GL_PROGRAM_POINT_SIZE` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_PROXY_TEXTURE_1D` Part of `GL_VERSION_1_1`
`static int` | `GL_PROXY_TEXTURE_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_PROXY_TEXTURE_2D` Part of `GL_VERSION_1_1`
`static int` | `GL_PROXY_TEXTURE_2D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_PROXY_TEXTURE_3D` Part of `GL_VERSION_1_2`
`static int` | `GL_PROXY_TEXTURE_CUBE_MAP` Part of `GL_VERSION_1_3`
`static int` | `GL_PROXY_TEXTURE_RECTANGLE` Part of `GL_EXT_texture_rectangle`
`static int` | `GL_PROXY_TEXTURE_RECTANGLE_ARB` Part of `GL_ARB_texture_rectangle`
`static int` | `GL_QUERY_BY_REGION_NO_WAIT` Part of `GL_VERSION_3_0`
`static int` | `GL_QUERY_BY_REGION_WAIT` Part of `GL_VERSION_3_0`
`static int` | `GL_QUERY_COUNTER_BITS` Part of `GL_VERSION_1_5`
`static int` | `GL_QUERY_NO_WAIT` Part of `GL_VERSION_3_0`
`static int` | `GL_QUERY_RESULT` Part of `GL_VERSION_1_5`
`static int` | `GL_QUERY_RESULT_AVAILABLE` Part of `GL_VERSION_1_5`
`static int` | `GL_QUERY_WAIT` Part of `GL_VERSION_3_0`
`static int` | `GL_R3_G3_B2` Part of `GL_VERSION_1_1`
`static int` | `GL_RASTERIZER_DISCARD` Part of `GL_VERSION_3_0`
`static int` | `GL_READ_BUFFER` Part of `GL_VERSION_1_0`
`static int` | `GL_READ_FRAMEBUFFER` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_READ_FRAMEBUFFER_BINDING` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_READ_ONLY` Part of `GL_VERSION_1_5`
`static int` | `GL_READ_WRITE` Part of `GL_VERSION_1_5`
`static int` | `GL_RED` Part of `GL_VERSION_1_0`
`static int` | `GL_RED_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_RENDERBUFFER_SAMPLES` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_RGB_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_RGB_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_RGB_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_RGB_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_RGB_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB10` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB10_A2` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB12` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB16` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB16F` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB16I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB16UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB32F` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB32I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB32UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB4` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB5` Part of `GL_VERSION_1_1`
`static int` | `GL_RGB8I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB8UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RGB9_E5` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA_FLOAT16_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_RGBA_FLOAT16_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_RGBA_FLOAT32_APPLE` Part of `GL_APPLE_float_pixels`
`static int` | `GL_RGBA_FLOAT32_ATI` Part of `GL_ATI_texture_float`
`static int` | `GL_RGBA_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA12` Part of `GL_VERSION_1_1`
`static int` | `GL_RGBA16` Part of `GL_VERSION_1_1`
`static int` | `GL_RGBA16F` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA16I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA16UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA2` Part of `GL_VERSION_1_1`
`static int` | `GL_RGBA32F` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA32I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA32UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA8I` Part of `GL_VERSION_3_0`
`static int` | `GL_RGBA8UI` Part of `GL_VERSION_3_0`
`static int` | `GL_RIGHT` Part of `GL_VERSION_1_0`
`static int` | `GL_SAMPLER_1D` Part of `GL_VERSION_2_0`
`static int` | `GL_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_SAMPLER_1D_ARRAY_SHADOW` Part of `GL_VERSION_3_0`
`static int` | `GL_SAMPLER_1D_SHADOW` Part of `GL_VERSION_2_0`
`static int` | `GL_SAMPLER_2D_ARRAY_SHADOW` Part of `GL_VERSION_3_0`
`static int` | `GL_SAMPLER_2D_SHADOW` Part of `GL_VERSION_2_0`
`static int` | `GL_SAMPLER_3D` Part of `GL_VERSION_2_0`
`static int` | `GL_SAMPLER_BUFFER` Part of `GL_EXT_gpu_shader4`
`static int` | `GL_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_SAMPLER_CUBE_SHADOW` Part of `GL_VERSION_3_0`
`static int` | `GL_SAMPLES_PASSED` Part of `GL_VERSION_1_5`
`static int` | `GL_SEPARATE_ATTRIBS` Part of `GL_VERSION_3_0`
`static int` | `GL_SMOOTH_LINE_WIDTH_GRANULARITY` Part of `GL_VERSION_1_2`
`static int` | `GL_SMOOTH_POINT_SIZE_GRANULARITY` Part of `GL_VERSION_1_2`
`static int` | `GL_SRGB` Part of `GL_VERSION_2_1`
`static int` | `GL_SRGB_ALPHA` Part of `GL_VERSION_2_1`
`static int` | `GL_SRGB8` Part of `GL_VERSION_2_1`
`static int` | `GL_SRGB8_ALPHA8` Part of `GL_VERSION_2_1`
`static int` | `GL_STATIC_COPY` Part of `GL_VERSION_1_5`
`static int` | `GL_STATIC_READ` Part of `GL_VERSION_1_5`
`static int` | `GL_STENCIL` Part of `GL_VERSION_1_0`
`static int` | `GL_STENCIL_BUFFER` Part of `GL_VERSION_3_0`
`static int` | `GL_STENCIL_INDEX16` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_STEREO` Part of `GL_VERSION_1_0`
`static int` | `GL_STREAM_COPY` Part of `GL_VERSION_1_5`
`static int` | `GL_STREAM_READ` Part of `GL_VERSION_1_5`
`static int` | `GL_TESSELLATION_FACTOR_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_TESSELLATION_MODE_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_TEXTURE_1D` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_3D` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_ALPHA_SIZE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_ALPHA_TYPE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_BASE_LEVEL` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_BINDING_1D` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_BINDING_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_BINDING_3D` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_BINDING_BUFFER` Part of `GL_ARB_texture_buffer_object`
`static int` | `GL_TEXTURE_BINDING_RECTANGLE` Part of `GL_EXT_texture_rectangle`
`static int` | `GL_TEXTURE_BINDING_RECTANGLE_ARB` Part of `GL_ARB_texture_rectangle`
`static int` | `GL_TEXTURE_BLUE_SIZE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_BLUE_TYPE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_BORDER` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_BORDER_COLOR` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_BUFFER` Part of `GL_ARB_texture_buffer_object`
`static int` | `GL_TEXTURE_BUFFER_DATA_STORE_BINDING` Part of `GL_ARB_texture_buffer_object`
`static int` | `GL_TEXTURE_BUFFER_FORMAT` Part of `GL_ARB_texture_buffer_object`
`static int` | `GL_TEXTURE_COMPARE_FUNC` Part of `GL_VERSION_1_4`
`static int` | `GL_TEXTURE_COMPARE_MODE` Part of `GL_VERSION_1_4`
`static int` | `GL_TEXTURE_COMPRESSED` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_COMPRESSED_IMAGE_SIZE` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_COMPRESSION_HINT` Part of `GL_VERSION_1_3`
`static int` | `GL_TEXTURE_DEPTH` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_DEPTH_SIZE` Part of `GL_VERSION_1_4`
`static int` | `GL_TEXTURE_DEPTH_TYPE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_FLOAT_COMPONENTS_NV` Part of `GL_NV_float_buffer`
`static int` | `GL_TEXTURE_GREEN_SIZE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_GREEN_TYPE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_HEIGHT` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_INTERNAL_FORMAT` Part of `GL_VERSION_1_1`
`static int` | `GL_TEXTURE_LOD_BIAS` Part of `GL_VERSION_1_4`
`static int` | `GL_TEXTURE_MAX_LEVEL` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_MAX_LOD` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_MIN_LOD` Part of `GL_VERSION_1_2`
`static int` | `GL_TEXTURE_RECTANGLE` Part of `GL_EXT_texture_rectangle`
`static int` | `GL_TEXTURE_RECTANGLE_ARB` Part of `GL_ARB_texture_rectangle`
`static int` | `GL_TEXTURE_RED_SIZE` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_RED_TYPE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_SHARED_SIZE` Part of `GL_VERSION_3_0`
`static int` | `GL_TEXTURE_STENCIL_SIZE` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_TEXTURE_WIDTH` Part of `GL_VERSION_1_0`
`static int` | `GL_TEXTURE_WRAP_R` Part of `GL_VERSION_1_2`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_BINDING` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_MODE` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_SIZE` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_START` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH` Part of `GL_VERSION_3_0`
`static int` | `GL_TRANSFORM_FEEDBACK_VARYINGS` Part of `GL_VERSION_3_0`
`static int` | `GL_TRIANGLE_STRIP_ADJACENCY` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_TRIANGLES_ADJACENCY` Part of `GL_ARB_geometry_shader4`
`static int` | `GL_UNPACK_IMAGE_HEIGHT` Part of `GL_VERSION_1_2`
`static int` | `GL_UNPACK_LSB_FIRST` Part of `GL_VERSION_1_0`
`static int` | `GL_UNPACK_ROW_LENGTH` Part of `GL_VERSION_1_0`
`static int` | `GL_UNPACK_SKIP_IMAGES` Part of `GL_VERSION_1_2`
`static int` | `GL_UNPACK_SKIP_PIXELS` Part of `GL_VERSION_1_0`
`static int` | `GL_UNPACK_SKIP_ROWS` Part of `GL_VERSION_1_0`
`static int` | `GL_UNPACK_SWAP_BYTES` Part of `GL_VERSION_1_0`
`static int` | `GL_UNSIGNED_BYTE_2_3_3_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_BYTE_3_3_2` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_INT_10_10_10_2` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_INT_2_10_10_10_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_INT_24_8` Part of `GL_ARB_framebuffer_object`
`static int` | `GL_UNSIGNED_INT_5_9_9_9_REV` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_8_8_8_8` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_INT_8_8_8_8_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_INT_SAMPLER_1D` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_SAMPLER_1D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_ARRAY` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_SAMPLER_2D_RECT` Part of `GL_EXT_gpu_shader4`
`static int` | `GL_UNSIGNED_INT_SAMPLER_3D` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_SAMPLER_BUFFER` Part of `GL_EXT_gpu_shader4`
`static int` | `GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD` Part of `GL_AMD_vertex_shader_tessellator`
`static int` | `GL_UNSIGNED_INT_SAMPLER_CUBE` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_VEC2` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_VEC3` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_INT_VEC4` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_NORMALIZED` Part of `GL_VERSION_3_0`
`static int` | `GL_UNSIGNED_SHORT_1_5_5_5_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_SHORT_4_4_4_4_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UNSIGNED_SHORT_5_6_5_REV` Part of `GL_VERSION_1_2`
`static int` | `GL_UPPER_LEFT` Part of `GL_VERSION_2_0`
`static int` | `GL_VERTEX_ARRAY_BINDING` Part of `GL_ARB_vertex_array_object`
`static int` | `GL_VERTEX_ATTRIB_ARRAY_INTEGER` Part of `GL_VERSION_3_0`
`static int` | `GL_VERTEX_PROGRAM_POINT_SIZE` Part of `GL_VERSION_2_0`

Fields inherited from interface javax.media.opengl.GL2ES2
`GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CURRENT_PROGRAM, GL_CURRENT_VERTEX_ATTRIB, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PLATFORM_BINARY, GL_SAMPLER_2D, GL_SAMPLER_CUBE, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_UNSIGNED_INT, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER`

Fields inherited from interface javax.media.opengl.GL
`GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RGB, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

Method Summary
`ByteBuffer` | `glAllocateMemoryNV(int arg0, float arg1, float arg2, float arg3)` Provides platform-independent access to the `wglAllocateMemoryNV` / `glXAllocateMemoryNV` extension.
`void` | `glBeginConditionalRender(int target, int id)` Entry point to C language function: `void glBeginConditionalRender(GLuint target, GLenum id);` Part of `GL_VERSION_3_0`
`void` | `glBeginQuery(int target, int id)` Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id);` Part of `GL_VERSION_1_5`
`void` | `glBeginTransformFeedback(int mode)` Entry point to C language function: `void glBeginTransformFeedback(GLenum mode);` Part of `GL_VERSION_3_0`
`void` | `glBindBufferBase(int red, int green, int blue)` Entry point to C language function: `void glBindBufferBase(GLenum red, GLuint green, GLuint blue);` Part of `GL_VERSION_3_0`
`void` | `glBindBufferRange(int target, int index, int buffer, int offset, int size)` Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, ptrdiff_t offset, ptrdiff_t size);` Part of `GL_VERSION_3_0`
`void` | `glBindFragDataLocation(int program, int index, String name)` Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint index, const GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glBindVertexArray(int mode)` Entry point to C language function: `void glBindVertexArray(GLuint mode);` Part of `GL_ARB_vertex_array_object`
`void` | `glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)` Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);` Part of `GL_ARB_framebuffer_object`
`void` | `glClampColor(int target, int id)` Entry point to C language function: `void glClampColor(GLenum target, GLenum id);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferfi(int buffer, int drawbuffer, float depth, int stencil)` Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferfv(int buffer, int drawbuffer, float[] value, int value_offset)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferfv(int buffer, int drawbuffer, FloatBuffer value)` Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferiv(int buffer, int drawbuffer, int[] value, int value_offset)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferiv(int buffer, int drawbuffer, IntBuffer value)` Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferuiv(int buffer, int drawbuffer, int[] value, int value_offset)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glClearBufferuiv(int buffer, int drawbuffer, IntBuffer value)` Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glColorMaski(int index, boolean x, boolean y, boolean z, boolean w)` Entry point to C language function: `void glColorMaski(GLuint index, GLboolean x, GLboolean y, GLboolean z, GLboolean w);` Part of `GL_VERSION_3_0`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage1D(int target, int level, int internalformat, int width, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage1D(int target, int level, int xoffset, int width, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);` Part of `GL_VERSION_1_3`
`void` | `glCopyTexImage1D(int target, int level, int internalformat, int x, int y, int width, int border)` Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);` Part of `GL_VERSION_1_1`
`void` | `glCopyTexSubImage1D(int target, int level, int xoffset, int x, int y, int width)` Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);` Part of `GL_VERSION_1_1`
`void` | `glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)` Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);` Part of `GL_VERSION_1_2`
`void` | `glDeleteQueries(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glDeleteQueries(int n, IntBuffer ids)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glDeleteVertexArrays(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glDeleteVertexArrays(int n, IntBuffer ids)` Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glDisablei(int target, int id)` Entry point to C language function: `void glDisablei(GLenum target, GLuint id);` Part of `GL_VERSION_3_0`
`void` | `glDrawArraysInstanced(int target, int s, int t, int r)` Entry point to C language function: `void glDrawArraysInstancedARB(GLenum target, GLint s, GLsizei t, GLsizei r);` Part of `GL_ARB_draw_instanced`
`void` | `glDrawBuffer(int mode)` Entry point to C language function: `void glDrawBuffer(GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glDrawBuffers(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);` Part of `GL_VERSION_2_0`
`void` | `glDrawBuffers(int n, IntBuffer ids)` Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);` Part of `GL_VERSION_2_0`
`void` | `glDrawElementsInstanced(int mode, int count, int type, Buffer indices, int primcount)` Entry point to C language function: `void glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount);` Part of `GL_ARB_draw_instanced`
`void` | `glDrawRangeElements(int mode, int start, int end, int count, int type, Buffer indices)` Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_1_2`
`void` | `glDrawRangeElements(int mode, int start, int end, int count, int type, long indices_buffer_offset)` Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_1_2`
`void` | `glEnablei(int target, int id)` Entry point to C language function: `void glEnablei(GLenum target, GLuint id);` Part of `GL_VERSION_3_0`
`void` | `glEndConditionalRender()` Entry point to C language function: `void glEndConditionalRender(void);` Part of `GL_VERSION_3_0`
`void` | `glEndQuery(int mode)` Entry point to C language function: `void glEndQuery(GLenum mode);` Part of `GL_VERSION_1_5`
`void` | `glEndTransformFeedback()` Entry point to C language function: `void glEndTransformFeedback(void);` Part of `GL_VERSION_3_0`
`void` | `glFlushMappedBufferRange(int target, int s, int t)` Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, ptrdiff_t s, ptrdiff_t t);` Part of `GL_ARB_map_buffer_range`
`void` | `glFramebufferTexture(int target, int attachment, int texture, int level)` Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level);` Part of `GL_ARB_geometry_shader4`
`void` | `glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)` Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);` Part of `GL_ARB_framebuffer_object`
`void` | `glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int zoffset)` Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);` Part of `GL_ARB_framebuffer_object`
`void` | `glFramebufferTextureFace(int target, int attachment, int texture, int level, int face)` Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face);` Part of `GL_ARB_geometry_shader4`
`void` | `glFramebufferTextureLayer(int target, int index, int buffer, int offset, int size)` Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum index, GLuint buffer, GLint offset, GLint size);` Part of `GL_ARB_framebuffer_object`
`void` | `glGenQueries(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glGenQueries(int n, IntBuffer ids)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);` Part of `GL_VERSION_1_5`
`void` | `glGenVertexArrays(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glGenVertexArrays(int n, IntBuffer ids)` Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);` Part of `GL_ARB_vertex_array_object`
`void` | `glGetBooleani_v(int target, int index, byte[] data, int data_offset)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);` Part of `GL_VERSION_3_0`
`void` | `glGetBooleani_v(int target, int index, ByteBuffer data)` Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);` Part of `GL_VERSION_3_0`
`void` | `glGetBufferSubData(int target, int offset, int size, Buffer data)` Entry point to C language function: `void glGetBufferSubData(GLenum target, ptrdiff_t offset, ptrdiff_t size, GLvoid * data);` Part of `GL_VERSION_1_5`
`void` | `glGetCompressedTexImage(int target, int level, Buffer img)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);` Part of `GL_VERSION_1_3`
`void` | `glGetCompressedTexImage(int target, int level, long img_buffer_offset)` Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);` Part of `GL_VERSION_1_3`
`void` | `glGetDoublev(int pname, double[] params, int params_offset)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);` Part of `GL_VERSION_1_0`
`void` | `glGetDoublev(int pname, DoubleBuffer params)` Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);` Part of `GL_VERSION_1_0`
`int` | `glGetFragDataLocation(int program, String name)` Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glGetIntegeri_v(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetIntegeri_v(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetQueryiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectuiv(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_1_5`
`void` | `glGetQueryObjectuiv(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_1_5`
`String` | `glGetStringi(int name, int index)` Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index);` Part of `GL_VERSION_3_0`
`void` | `glGetTexImage(int target, int level, int format, int type, Buffer pixels)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glGetTexImage(int target, int level, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameterfv(int target, int level, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameterfv(int target, int level, int pname, FloatBuffer params)` Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameteriv(int target, int level, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexLevelParameteriv(int target, int level, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);` Part of `GL_VERSION_1_0`
`void` | `glGetTexParameterIiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIuiv(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTexParameterIuiv(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetTransformFeedbackVarying(int program, int index, int bufSize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glGetTransformFeedbackVarying(int program, int index, int bufSize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);` Part of `GL_VERSION_3_0`
`void` | `glGetUniformuiv(int program, int location, int[] params, int params_offset)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetUniformuiv(int program, int location, IntBuffer params)` Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribdv(int index, int pname, double[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);` Part of `GL_VERSION_2_0`
`void` | `glGetVertexAttribdv(int index, int pname, DoubleBuffer params)` Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);` Part of `GL_VERSION_2_0`
`void` | `glGetVertexAttribIiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIuiv(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glGetVertexAttribIuiv(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);` Part of `GL_VERSION_3_0`
`boolean` | `glIsEnabledi(int target, int index)` Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index);` Part of `GL_VERSION_3_0`
`boolean` | `glIsQuery(int id)` Entry point to C language function: `GLboolean glIsQuery(GLuint id);` Part of `GL_VERSION_1_5`
`boolean` | `glIsVertexArray(int id)` Entry point to C language function: `GLboolean glIsVertexArray(GLuint id);` Part of `GL_ARB_vertex_array_object`
`void` | `glLogicOp(int opcode)` Entry point to C language function: `void glLogicOp(GLenum opcode);` Part of `GL_VERSION_1_0`
`ByteBuffer` | `glMapBufferRange(int target, int offset, int length, int access)` Entry point to C language function: `GLvoid * glMapBufferRange(GLenum target, ptrdiff_t offset, ptrdiff_t length, GLbitfield access);` Part of `GL_ARB_map_buffer_range`
`void` | `glMultiDrawArrays(int mode, int[] first, int first_offset, int[] count, int count_offset, int primcount)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawArrays(int mode, IntBuffer first, IntBuffer count, int primcount)` Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawElements(int mode, int[] count, int count_offset, int type, Buffer[] indices, int primcount)` Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glMultiDrawElements(int mode, IntBuffer count, int type, Buffer[] indices, int primcount)` Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);` Part of `GL_VERSION_1_4`
`void` | `glPixelStoref(int pname, float param)` Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param);` Part of `GL_VERSION_1_0`
`void` | `glPointParameterf(int target, float s)` Entry point to C language function: `void glPointParameterf(GLenum target, GLfloat s);` Part of `GL_VERSION_1_4`
`void` | `glPointParameterfv(int target, float[] v, int v_offset)` Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameterfv(int target, FloatBuffer v)` Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteri(int target, int s)` Entry point to C language function: `void glPointParameteri(GLenum target, GLint s);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteriv(int target, int[] v, int v_offset)` Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);` Part of `GL_VERSION_1_4`
`void` | `glPointParameteriv(int target, IntBuffer v)` Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);` Part of `GL_VERSION_1_4`
`void` | `glPointSize(float size)` Entry point to C language function: `void glPointSize(GLfloat size);` Part of `GL_VERSION_1_0`
`void` | `glPolygonMode(int face, int mode)` Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glPrimitiveRestartIndex(int mode)` Entry point to C language function: `void glPrimitiveRestartIndexNV(GLuint mode);` Part of `GL_NV_primitive_restart`
`void` | `glProgramParameteri(int target, int pname, int params)` Entry point to C language function: `void glProgramParameteriARB(GLuint target, GLenum pname, GLint params);` Part of `GL_ARB_geometry_shader4`
`void` | `glReadBuffer(int mode)` Entry point to C language function: `void glReadBuffer(GLenum mode);` Part of `GL_VERSION_1_0`
`void` | `glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)` Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height);` Part of `GL_ARB_framebuffer_object`
`void` | `glTessellationFactorAMD(float factor)` Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor);` Part of `GL_AMD_vertex_shader_tessellator`
`void` | `glTessellationModeAMD(int mode)` Entry point to C language function: `void glTessellationModeAMD(GLenum mode);` Part of `GL_AMD_vertex_shader_tessellator`
`void` | `glTexBuffer(int red, int green, int blue)` Entry point to C language function: `void glTexBufferARB(GLenum red, GLenum green, GLuint blue);` Part of `GL_ARB_texture_buffer_object`
`void` | `glTexImage1D(int target, int level, int internalFormat, int width, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage1D(int target, int level, int internalFormat, int width, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_0`
`void` | `glTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexParameterIiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIuiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexParameterIuiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);` Part of `GL_VERSION_3_0`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage1D(int target, int level, int xoffset, int width, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_1`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);` Part of `GL_VERSION_1_2`
`void` | `glTransformFeedbackVaryings(int program, int count, String[] locations, int bufferMode)` Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * * locations, GLenum bufferMode);` Part of `GL_VERSION_3_0`
`void` | `glUniform1ui(int location, int v0)` Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0);` Part of `GL_VERSION_3_0`
`void` | `glUniform1uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform1uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform2ui(int location, int v0, int v1)` Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1);` Part of `GL_VERSION_3_0`
`void` | `glUniform2uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform2uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform3ui(int location, int v0, int v1, int v2)` Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2);` Part of `GL_VERSION_3_0`
`void` | `glUniform3uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform3uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform4ui(int location, int v0, int v1, int v2, int v3)` Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);` Part of `GL_VERSION_3_0`
`void` | `glUniform4uiv(int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniform4uiv(int location, int count, IntBuffer value)` Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);` Part of `GL_VERSION_3_0`
`void` | `glUniformMatrix2x3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x3fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix2x4fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x2fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix3x4fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x2fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glUniformMatrix4x3fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);` Part of `GL_VERSION_2_1`
`void` | `glVertexAttrib1d(int target, double s)` Entry point to C language function: `void glVertexAttrib1d(GLuint target, GLdouble s);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1dv(int target, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1dv(int target, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1s(int target, short s)` Entry point to C language function: `void glVertexAttrib1s(GLuint target, GLshort s);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1sv(int target, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib1sv(int target, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2d(int target, double s, double t)` Entry point to C language function: `void glVertexAttrib2d(GLuint target, GLdouble s, GLdouble t);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2dv(int target, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2dv(int target, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2s(int target, short s, short t)` Entry point to C language function: `void glVertexAttrib2s(GLuint target, GLshort s, GLshort t);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2sv(int target, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib2sv(int target, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3d(int target, double s, double t, double r)` Entry point to C language function: `void glVertexAttrib3d(GLuint target, GLdouble s, GLdouble t, GLdouble r);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3dv(int target, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3dv(int target, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3s(int target, short s, short t, short r)` Entry point to C language function: `void glVertexAttrib3s(GLuint target, GLshort s, GLshort t, GLshort r);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3sv(int target, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib3sv(int target, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4bv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4bv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4d(int target, double s, double t, double r, double q)` Entry point to C language function: `void glVertexAttrib4d(GLuint target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4dv(int target, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4dv(int target, DoubleBuffer v)` Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4iv(int target, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4iv(int target, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nbv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nbv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Niv(int target, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Niv(int target, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nsv(int target, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nsv(int target, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nub(int index, byte x, byte y, byte z, byte w)` Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nubv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nubv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nuiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nuiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nusv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4Nusv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4s(int target, short s, short t, short r, short q)` Entry point to C language function: `void glVertexAttrib4s(GLuint target, GLshort s, GLshort t, GLshort r, GLshort q);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4sv(int target, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4sv(int target, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4ubv(int index, byte[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4ubv(int index, ByteBuffer v)` Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4uiv(int index, int[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4uiv(int index, IntBuffer v)` Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4usv(int index, short[] v, int v_offset)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttrib4usv(int index, ShortBuffer v)` Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);` Part of `GL_VERSION_2_0`
`void` | `glVertexAttribIPointer(int index, int size, int type, int stride, Buffer pointer)` Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);` Part of `GL_VERSION_3_0`

Methods inherited from interface javax.media.opengl.GL2ES2
`glAttachShader, glBindAttribLocation, glBlendColor, glClearDepth, glCompileShader, glCreateProgram, glCreateShader, glDeleteProgram, glDeleteShader, glDepthRange, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsShader, glLinkProgram, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer, glVertexAttribPointer`

Methods inherited from interface javax.media.opengl.GL
`glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearDepthf, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDepthRangef, glDisable, glDrawArrays, glDrawElements, glDrawElements, glEnable, glFinish, glFlush, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBoundBuffer, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetIntegerv, glGetIntegerv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glIsVBOArrayEnabled, glIsVBOElementEnabled, glLineWidth, glMapBuffer, glPixelStorei, glPolygonOffset, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexSubImage2D, glTexSubImage2D, glUnmapBuffer, glViewport`

Methods inherited from interface javax.media.opengl.GLBase
`getContext, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2GL3, getGL3, getGLES1, getGLES2, getGLProfile, getPlatformGLExtensions, getSwapInterval, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2GL3, isGL3, isGLES, isGLES1, isGLES2, setSwapInterval`

Field Detail

### GL_DOUBLE

    static final int GL_DOUBLE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_GRANULARITY

    static final int GL_POINT_SIZE_GRANULARITY

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT_SIZE_RANGE

    static final int GL_POINT_SIZE_RANGE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE_WIDTH_GRANULARITY

    static final int GL_LINE_WIDTH_GRANULARITY

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE_WIDTH_RANGE

    static final int GL_LINE_WIDTH_RANGE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POINT

    static final int GL_POINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LINE

    static final int GL_LINE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FILL

    static final int GL_FILL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_SMOOTH

    static final int GL_POLYGON_SMOOTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_OFFSET_POINT

    static final int GL_POLYGON_OFFSET_POINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_OFFSET_LINE

    static final int GL_POLYGON_OFFSET_LINE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_LEFT

    static final int GL_LEFT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RIGHT

    static final int GL_RIGHT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FRONT_LEFT

    static final int GL_FRONT_LEFT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_FRONT_RIGHT

    static final int GL_FRONT_RIGHT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BACK_LEFT

    static final int GL_BACK_LEFT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BACK_RIGHT

    static final int GL_BACK_RIGHT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_RED

    static final int GL_RED

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_GREEN

    static final int GL_GREEN

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_BLUE

    static final int GL_BLUE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_READ_BUFFER

    static final int GL_READ_BUFFER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER

    static final int GL_DRAW_BUFFER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DOUBLEBUFFER

    static final int GL_DOUBLEBUFFER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STEREO

    static final int GL_STEREO

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_COLOR

    static final int GL_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_DEPTH

    static final int GL_DEPTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_STENCIL

    static final int GL_STENCIL

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_POLYGON_SMOOTH_HINT

    static final int GL_POLYGON_SMOOTH_HINT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_LSB_FIRST

    static final int GL_PACK_LSB_FIRST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_ROW_LENGTH

    static final int GL_PACK_ROW_LENGTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_SKIP_PIXELS

    static final int GL_PACK_SKIP_PIXELS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_SKIP_ROWS

    static final int GL_PACK_SKIP_ROWS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PACK_SWAP_BYTES

    static final int GL_PACK_SWAP_BYTES

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_LSB_FIRST

    static final int GL_UNPACK_LSB_FIRST

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_ROW_LENGTH

    static final int GL_UNPACK_ROW_LENGTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_SKIP_PIXELS

    static final int GL_UNPACK_SKIP_PIXELS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_SKIP_ROWS

    static final int GL_UNPACK_SKIP_ROWS

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_UNPACK_SWAP_BYTES

    static final int GL_UNPACK_SWAP_BYTES

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_1D

    static final int GL_TEXTURE_1D

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BORDER_COLOR

    static final int GL_TEXTURE_BORDER_COLOR

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_WIDTH

    static final int GL_TEXTURE_WIDTH

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_HEIGHT

    static final int GL_TEXTURE_HEIGHT

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BORDER

    static final int GL_TEXTURE_BORDER

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_RED_SIZE

    static final int GL_TEXTURE_RED_SIZE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_GREEN_SIZE

    static final int GL_TEXTURE_GREEN_SIZE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BLUE_SIZE

    static final int GL_TEXTURE_BLUE_SIZE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_ALPHA_SIZE

    static final int GL_TEXTURE_ALPHA_SIZE

  Part of `GL_VERSION_1_0`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_1D

    static final int GL_PROXY_TEXTURE_1D

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_2D

    static final int GL_PROXY_TEXTURE_2D

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_1D

    static final int GL_TEXTURE_BINDING_1D

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_TEXTURE_INTERNAL_FORMAT

    static final int GL_TEXTURE_INTERNAL_FORMAT

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_R3_G3_B2

    static final int GL_R3_G3_B2

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB4

    static final int GL_RGB4

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB5

    static final int GL_RGB5

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB10

    static final int GL_RGB10

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB12

    static final int GL_RGB12

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB16

    static final int GL_RGB16

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGBA2

    static final int GL_RGBA2

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGB10_A2

    static final int GL_RGB10_A2

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGBA12

    static final int GL_RGBA12

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_RGBA16

    static final int GL_RGBA16

  Part of `GL_VERSION_1_1`

  See Also:
    Constant Field Values

### GL_UNSIGNED_BYTE_3_3_2

    static final int GL_UNSIGNED_BYTE_3_3_2

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8

    static final int GL_UNSIGNED_INT_8_8_8_8

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_10_10_10_2

    static final int GL_UNSIGNED_INT_10_10_10_2

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_3D

    static final int GL_TEXTURE_BINDING_3D

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_PACK_SKIP_IMAGES

    static final int GL_PACK_SKIP_IMAGES

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_PACK_IMAGE_HEIGHT

    static final int GL_PACK_IMAGE_HEIGHT

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNPACK_SKIP_IMAGES

    static final int GL_UNPACK_SKIP_IMAGES

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNPACK_IMAGE_HEIGHT

    static final int GL_UNPACK_IMAGE_HEIGHT

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_3D

    static final int GL_TEXTURE_3D

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_3D

    static final int GL_PROXY_TEXTURE_3D

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_DEPTH

    static final int GL_TEXTURE_DEPTH

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_WRAP_R

    static final int GL_TEXTURE_WRAP_R

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_MAX_3D_TEXTURE_SIZE

    static final int GL_MAX_3D_TEXTURE_SIZE

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_BYTE_2_3_3_REV

    static final int GL_UNSIGNED_BYTE_2_3_3_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_5_6_5_REV

    static final int GL_UNSIGNED_SHORT_5_6_5_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_4_4_4_4_REV

    static final int GL_UNSIGNED_SHORT_4_4_4_4_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_SHORT_1_5_5_5_REV

    static final int GL_UNSIGNED_SHORT_1_5_5_5_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_8_8_8_8_REV

    static final int GL_UNSIGNED_INT_8_8_8_8_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_2_10_10_10_REV

    static final int GL_UNSIGNED_INT_2_10_10_10_REV

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_BGR

    static final int GL_BGR

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_BGRA

    static final int GL_BGRA

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_MAX_ELEMENTS_VERTICES

    static final int GL_MAX_ELEMENTS_VERTICES

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_MAX_ELEMENTS_INDICES

    static final int GL_MAX_ELEMENTS_INDICES

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_MIN_LOD

    static final int GL_TEXTURE_MIN_LOD

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_MAX_LOD

    static final int GL_TEXTURE_MAX_LOD

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_BASE_LEVEL

    static final int GL_TEXTURE_BASE_LEVEL

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_TEXTURE_MAX_LEVEL

    static final int GL_TEXTURE_MAX_LEVEL

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_SMOOTH_POINT_SIZE_GRANULARITY

    static final int GL_SMOOTH_POINT_SIZE_GRANULARITY

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_SMOOTH_LINE_WIDTH_GRANULARITY

    static final int GL_SMOOTH_LINE_WIDTH_GRANULARITY

  Part of `GL_VERSION_1_2`

  See Also:
    Constant Field Values

### GL_MIN

    static final int GL_MIN

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_MAX

    static final int GL_MAX

  Part of `GL_ARB_imaging`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_CUBE_MAP

    static final int GL_PROXY_TEXTURE_CUBE_MAP

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGB

    static final int GL_COMPRESSED_RGB

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RGBA

    static final int GL_COMPRESSED_RGBA

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPRESSION_HINT

    static final int GL_TEXTURE_COMPRESSION_HINT

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPRESSED_IMAGE_SIZE

    static final int GL_TEXTURE_COMPRESSED_IMAGE_SIZE

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPRESSED

    static final int GL_TEXTURE_COMPRESSED

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_CLAMP_TO_BORDER

    static final int GL_CLAMP_TO_BORDER

  Part of `GL_VERSION_1_3`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_LOD_BIAS

    static final int GL_MAX_TEXTURE_LOD_BIAS

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_TEXTURE_LOD_BIAS

    static final int GL_TEXTURE_LOD_BIAS

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_TEXTURE_DEPTH_SIZE

    static final int GL_TEXTURE_DEPTH_SIZE

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPARE_MODE

    static final int GL_TEXTURE_COMPARE_MODE

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_TEXTURE_COMPARE_FUNC

    static final int GL_TEXTURE_COMPARE_FUNC

  Part of `GL_VERSION_1_4`

  See Also:
    Constant Field Values

### GL_QUERY_COUNTER_BITS

    static final int GL_QUERY_COUNTER_BITS

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_CURRENT_QUERY

    static final int GL_CURRENT_QUERY

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_QUERY_RESULT

    static final int GL_QUERY_RESULT

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_QUERY_RESULT_AVAILABLE

    static final int GL_QUERY_RESULT_AVAILABLE

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_READ_ONLY

    static final int GL_READ_ONLY

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_READ_WRITE

    static final int GL_READ_WRITE

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_STREAM_READ

    static final int GL_STREAM_READ

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_STREAM_COPY

    static final int GL_STREAM_COPY

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_STATIC_READ

    static final int GL_STATIC_READ

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_STATIC_COPY

    static final int GL_STATIC_COPY

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_DYNAMIC_READ

    static final int GL_DYNAMIC_READ

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_DYNAMIC_COPY

    static final int GL_DYNAMIC_COPY

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_SAMPLES_PASSED

    static final int GL_SAMPLES_PASSED

  Part of `GL_VERSION_1_5`

  See Also:
    Constant Field Values

### GL_VERTEX_PROGRAM_POINT_SIZE

    static final int GL_VERTEX_PROGRAM_POINT_SIZE

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_DRAW_BUFFERS

    static final int GL_MAX_DRAW_BUFFERS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER0

    static final int GL_DRAW_BUFFER0

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER1

    static final int GL_DRAW_BUFFER1

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER2

    static final int GL_DRAW_BUFFER2

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER3

    static final int GL_DRAW_BUFFER3

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER4

    static final int GL_DRAW_BUFFER4

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER5

    static final int GL_DRAW_BUFFER5

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER6

    static final int GL_DRAW_BUFFER6

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER7

    static final int GL_DRAW_BUFFER7

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER8

    static final int GL_DRAW_BUFFER8

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER9

    static final int GL_DRAW_BUFFER9

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER10

    static final int GL_DRAW_BUFFER10

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER11

    static final int GL_DRAW_BUFFER11

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER12

    static final int GL_DRAW_BUFFER12

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER13

    static final int GL_DRAW_BUFFER13

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER14

    static final int GL_DRAW_BUFFER14

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER15

    static final int GL_DRAW_BUFFER15

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

    static final int GL_MAX_FRAGMENT_UNIFORM_COMPONENTS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_UNIFORM_COMPONENTS

    static final int GL_MAX_VERTEX_UNIFORM_COMPONENTS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_MAX_VARYING_FLOATS

    static final int GL_MAX_VARYING_FLOATS

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_1D

    static final int GL_SAMPLER_1D

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_3D

    static final int GL_SAMPLER_3D

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_1D_SHADOW

    static final int GL_SAMPLER_1D_SHADOW

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_SHADOW

    static final int GL_SAMPLER_2D_SHADOW

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_POINT_SPRITE_COORD_ORIGIN

    static final int GL_POINT_SPRITE_COORD_ORIGIN

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_LOWER_LEFT

    static final int GL_LOWER_LEFT

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_UPPER_LEFT

    static final int GL_UPPER_LEFT

  Part of `GL_VERSION_2_0`

  See Also:
    Constant Field Values

### GL_PIXEL_PACK_BUFFER

    static final int GL_PIXEL_PACK_BUFFER

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER

    static final int GL_PIXEL_UNPACK_BUFFER

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_PIXEL_PACK_BUFFER_BINDING

    static final int GL_PIXEL_PACK_BUFFER_BINDING

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_PIXEL_UNPACK_BUFFER_BINDING

    static final int GL_PIXEL_UNPACK_BUFFER_BINDING

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT2x3

    static final int GL_FLOAT_MAT2x3

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT2x4

    static final int GL_FLOAT_MAT2x4

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT3x2

    static final int GL_FLOAT_MAT3x2

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT3x4

    static final int GL_FLOAT_MAT3x4

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT4x2

    static final int GL_FLOAT_MAT4x2

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_FLOAT_MAT4x3

    static final int GL_FLOAT_MAT4x3

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_SRGB

    static final int GL_SRGB

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_SRGB8

    static final int GL_SRGB8

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_SRGB_ALPHA

    static final int GL_SRGB_ALPHA

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_SRGB8_ALPHA8

    static final int GL_SRGB8_ALPHA8

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_COMPRESSED_SRGB

    static final int GL_COMPRESSED_SRGB

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA

    static final int GL_COMPRESSED_SRGB_ALPHA

  Part of `GL_VERSION_2_1`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE0

    static final int GL_CLIP_DISTANCE0

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE1

    static final int GL_CLIP_DISTANCE1

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE2

    static final int GL_CLIP_DISTANCE2

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE3

    static final int GL_CLIP_DISTANCE3

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE4

    static final int GL_CLIP_DISTANCE4

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLIP_DISTANCE5

    static final int GL_CLIP_DISTANCE5

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_CLIP_DISTANCES

    static final int GL_MAX_CLIP_DISTANCES

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAJOR_VERSION

    static final int GL_MAJOR_VERSION

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MINOR_VERSION

    static final int GL_MINOR_VERSION

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_NUM_EXTENSIONS

    static final int GL_NUM_EXTENSIONS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CONTEXT_FLAGS

    static final int GL_CONTEXT_FLAGS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_DEPTH_BUFFER

    static final int GL_DEPTH_BUFFER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_STENCIL_BUFFER

    static final int GL_STENCIL_BUFFER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RED

    static final int GL_COMPRESSED_RED

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_COMPRESSED_RG

    static final int GL_COMPRESSED_RG

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

    static final int GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA32F

    static final int GL_RGBA32F

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB32F

    static final int GL_RGB32F

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA16F

    static final int GL_RGBA16F

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB16F

    static final int GL_RGB16F

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_INTEGER

    static final int GL_VERTEX_ATTRIB_ARRAY_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MIN_PROGRAM_TEXEL_OFFSET

    static final int GL_MIN_PROGRAM_TEXEL_OFFSET

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_PROGRAM_TEXEL_OFFSET

    static final int GL_MAX_PROGRAM_TEXEL_OFFSET

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_CLAMP_READ_COLOR

    static final int GL_CLAMP_READ_COLOR

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_FIXED_ONLY

    static final int GL_FIXED_ONLY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_VARYING_COMPONENTS

    static final int GL_MAX_VARYING_COMPONENTS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_RED_TYPE

    static final int GL_TEXTURE_RED_TYPE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_GREEN_TYPE

    static final int GL_TEXTURE_GREEN_TYPE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BLUE_TYPE

    static final int GL_TEXTURE_BLUE_TYPE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_ALPHA_TYPE

    static final int GL_TEXTURE_ALPHA_TYPE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_DEPTH_TYPE

    static final int GL_TEXTURE_DEPTH_TYPE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_NORMALIZED

    static final int GL_UNSIGNED_NORMALIZED

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_1D_ARRAY

    static final int GL_TEXTURE_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_1D_ARRAY

    static final int GL_PROXY_TEXTURE_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_2D_ARRAY

    static final int GL_PROXY_TEXTURE_2D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_1D_ARRAY

    static final int GL_TEXTURE_BINDING_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB9_E5

    static final int GL_RGB9_E5

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_5_9_9_9_REV

    static final int GL_UNSIGNED_INT_5_9_9_9_REV

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_SHARED_SIZE

    static final int GL_TEXTURE_SHARED_SIZE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

    static final int GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE

    static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

    static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS

    static final int GL_TRANSFORM_FEEDBACK_VARYINGS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START

    static final int GL_TRANSFORM_FEEDBACK_BUFFER_START

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

    static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_PRIMITIVES_GENERATED

    static final int GL_PRIMITIVES_GENERATED

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

    static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RASTERIZER_DISCARD

    static final int GL_RASTERIZER_DISCARD

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

    static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

    static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INTERLEAVED_ATTRIBS

    static final int GL_INTERLEAVED_ATTRIBS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SEPARATE_ATTRIBS

    static final int GL_SEPARATE_ATTRIBS

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER

    static final int GL_TRANSFORM_FEEDBACK_BUFFER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

    static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA32UI

    static final int GL_RGBA32UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB32UI

    static final int GL_RGB32UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA16UI

    static final int GL_RGBA16UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB16UI

    static final int GL_RGB16UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA8UI

    static final int GL_RGBA8UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB8UI

    static final int GL_RGB8UI

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA32I

    static final int GL_RGBA32I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB32I

    static final int GL_RGB32I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA16I

    static final int GL_RGBA16I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB16I

    static final int GL_RGB16I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA8I

    static final int GL_RGBA8I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB8I

    static final int GL_RGB8I

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RED_INTEGER

    static final int GL_RED_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_GREEN_INTEGER

    static final int GL_GREEN_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_BLUE_INTEGER

    static final int GL_BLUE_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGB_INTEGER

    static final int GL_RGB_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_RGBA_INTEGER

    static final int GL_RGBA_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_BGR_INTEGER

    static final int GL_BGR_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_BGRA_INTEGER

    static final int GL_BGRA_INTEGER

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_1D_ARRAY

    static final int GL_SAMPLER_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_1D_ARRAY_SHADOW

    static final int GL_SAMPLER_1D_ARRAY_SHADOW

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_2D_ARRAY_SHADOW

    static final int GL_SAMPLER_2D_ARRAY_SHADOW

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_SAMPLER_CUBE_SHADOW

    static final int GL_SAMPLER_CUBE_SHADOW

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_VEC2

    static final int GL_UNSIGNED_INT_VEC2

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_VEC3

    static final int GL_UNSIGNED_INT_VEC3

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_VEC4

    static final int GL_UNSIGNED_INT_VEC4

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_1D

    static final int GL_INT_SAMPLER_1D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_2D

    static final int GL_INT_SAMPLER_2D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_3D

    static final int GL_INT_SAMPLER_3D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_CUBE

    static final int GL_INT_SAMPLER_CUBE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_1D_ARRAY

    static final int GL_INT_SAMPLER_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_2D_ARRAY

    static final int GL_INT_SAMPLER_2D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D

    static final int GL_UNSIGNED_INT_SAMPLER_1D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D

    static final int GL_UNSIGNED_INT_SAMPLER_2D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_3D

    static final int GL_UNSIGNED_INT_SAMPLER_3D

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_CUBE

    static final int GL_UNSIGNED_INT_SAMPLER_CUBE

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_1D_ARRAY

    static final int GL_UNSIGNED_INT_SAMPLER_1D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

    static final int GL_UNSIGNED_INT_SAMPLER_2D_ARRAY

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_QUERY_WAIT

    static final int GL_QUERY_WAIT

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_QUERY_NO_WAIT

    static final int GL_QUERY_NO_WAIT

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_QUERY_BY_REGION_WAIT

    static final int GL_QUERY_BY_REGION_WAIT

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_QUERY_BY_REGION_NO_WAIT

    static final int GL_QUERY_BY_REGION_NO_WAIT

  Part of `GL_VERSION_3_0`

  See Also:
    Constant Field Values

### GL_TEXTURE_RECTANGLE_ARB

    static final int GL_TEXTURE_RECTANGLE_ARB

  Part of `GL_ARB_texture_rectangle`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_RECTANGLE_ARB

    static final int GL_TEXTURE_BINDING_RECTANGLE_ARB

  Part of `GL_ARB_texture_rectangle`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_RECTANGLE_ARB

    static final int GL_PROXY_TEXTURE_RECTANGLE_ARB

  Part of `GL_ARB_texture_rectangle`

  See Also:
    Constant Field Values

### GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB

    static final int GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB

  Part of `GL_ARB_texture_rectangle`

  See Also:
    Constant Field Values

### GL_TEXTURE_RECTANGLE

    static final int GL_TEXTURE_RECTANGLE

  Part of `GL_EXT_texture_rectangle`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_RECTANGLE

    static final int GL_TEXTURE_BINDING_RECTANGLE

  Part of `GL_EXT_texture_rectangle`

  See Also:
    Constant Field Values

### GL_PROXY_TEXTURE_RECTANGLE

    static final int GL_PROXY_TEXTURE_RECTANGLE

  Part of `GL_EXT_texture_rectangle`

  See Also:
    Constant Field Values

### GL_MAX_RECTANGLE_TEXTURE_SIZE

    static final int GL_MAX_RECTANGLE_TEXTURE_SIZE

  Part of `GL_EXT_texture_rectangle`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

    static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

    static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

    static final int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_DEFAULT

    static final int GL_FRAMEBUFFER_DEFAULT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_UNDEFINED

    static final int GL_FRAMEBUFFER_UNDEFINED

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DEPTH_STENCIL_ATTACHMENT

    static final int GL_DEPTH_STENCIL_ATTACHMENT

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DEPTH_STENCIL

    static final int GL_DEPTH_STENCIL

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_24_8

    static final int GL_UNSIGNED_INT_24_8

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DEPTH24_STENCIL8

    static final int GL_DEPTH24_STENCIL8

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_TEXTURE_STENCIL_SIZE

    static final int GL_TEXTURE_STENCIL_SIZE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING

    static final int GL_DRAW_FRAMEBUFFER_BINDING

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_READ_FRAMEBUFFER

    static final int GL_READ_FRAMEBUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_DRAW_FRAMEBUFFER

    static final int GL_DRAW_FRAMEBUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING

    static final int GL_READ_FRAMEBUFFER_BINDING

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_RENDERBUFFER_SAMPLES

    static final int GL_RENDERBUFFER_SAMPLES

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

    static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

    static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS

    static final int GL_MAX_COLOR_ATTACHMENTS

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT1

    static final int GL_COLOR_ATTACHMENT1

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT2

    static final int GL_COLOR_ATTACHMENT2

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT3

    static final int GL_COLOR_ATTACHMENT3

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT4

    static final int GL_COLOR_ATTACHMENT4

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT5

    static final int GL_COLOR_ATTACHMENT5

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT6

    static final int GL_COLOR_ATTACHMENT6

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT7

    static final int GL_COLOR_ATTACHMENT7

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT8

    static final int GL_COLOR_ATTACHMENT8

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT9

    static final int GL_COLOR_ATTACHMENT9

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT10

    static final int GL_COLOR_ATTACHMENT10

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT11

    static final int GL_COLOR_ATTACHMENT11

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT12

    static final int GL_COLOR_ATTACHMENT12

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT13

    static final int GL_COLOR_ATTACHMENT13

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT14

    static final int GL_COLOR_ATTACHMENT14

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_COLOR_ATTACHMENT15

    static final int GL_COLOR_ATTACHMENT15

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_STENCIL_INDEX16

    static final int GL_STENCIL_INDEX16

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

    static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_MAX_SAMPLES

    static final int GL_MAX_SAMPLES

  Part of `GL_ARB_framebuffer_object`

  See Also:
    Constant Field Values

### GL_LINES_ADJACENCY

    static final int GL_LINES_ADJACENCY

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_LINE_STRIP_ADJACENCY

    static final int GL_LINE_STRIP_ADJACENCY

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_TRIANGLES_ADJACENCY

    static final int GL_TRIANGLES_ADJACENCY

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_TRIANGLE_STRIP_ADJACENCY

    static final int GL_TRIANGLE_STRIP_ADJACENCY

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_PROGRAM_POINT_SIZE

    static final int GL_PROGRAM_POINT_SIZE

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS

    static final int GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_LAYERED

    static final int GL_FRAMEBUFFER_ATTACHMENT_LAYERED

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS

    static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT

    static final int GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_GEOMETRY_SHADER

    static final int GL_GEOMETRY_SHADER

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_GEOMETRY_VERTICES_OUT

    static final int GL_GEOMETRY_VERTICES_OUT

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_GEOMETRY_INPUT_TYPE

    static final int GL_GEOMETRY_INPUT_TYPE

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_GEOMETRY_OUTPUT_TYPE

    static final int GL_GEOMETRY_OUTPUT_TYPE

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_VARYING_COMPONENTS

    static final int GL_MAX_GEOMETRY_VARYING_COMPONENTS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_VARYING_COMPONENTS

    static final int GL_MAX_VERTEX_VARYING_COMPONENTS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_UNIFORM_COMPONENTS

    static final int GL_MAX_GEOMETRY_UNIFORM_COMPONENTS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_OUTPUT_VERTICES

    static final int GL_MAX_GEOMETRY_OUTPUT_VERTICES

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS

    static final int GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS

  Part of `GL_ARB_geometry_shader4`

  See Also:
    Constant Field Values

### GL_MAP_READ_BIT

    static final int GL_MAP_READ_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_MAP_WRITE_BIT

    static final int GL_MAP_WRITE_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_MAP_INVALIDATE_RANGE_BIT

    static final int GL_MAP_INVALIDATE_RANGE_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_MAP_INVALIDATE_BUFFER_BIT

    static final int GL_MAP_INVALIDATE_BUFFER_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_MAP_FLUSH_EXPLICIT_BIT

    static final int GL_MAP_FLUSH_EXPLICIT_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_MAP_UNSYNCHRONIZED_BIT

    static final int GL_MAP_UNSYNCHRONIZED_BIT

  Part of `GL_ARB_map_buffer_range`

  See Also:
    Constant Field Values

### GL_TEXTURE_BUFFER

    static final int GL_TEXTURE_BUFFER

  Part of `GL_ARB_texture_buffer_object`

  See Also:
    Constant Field Values

### GL_MAX_TEXTURE_BUFFER_SIZE

    static final int GL_MAX_TEXTURE_BUFFER_SIZE

  Part of `GL_ARB_texture_buffer_object`

  See Also:
    Constant Field Values

### GL_TEXTURE_BINDING_BUFFER

    static final int GL_TEXTURE_BINDING_BUFFER

  Part of `GL_ARB_texture_buffer_object`

  See Also:
    Constant Field Values

### GL_TEXTURE_BUFFER_DATA_STORE_BINDING

    static final int GL_TEXTURE_BUFFER_DATA_STORE_BINDING

  Part of `GL_ARB_texture_buffer_object`

  See Also:
    Constant Field Values

### GL_TEXTURE_BUFFER_FORMAT

    static final int GL_TEXTURE_BUFFER_FORMAT

  Part of `GL_ARB_texture_buffer_object`

  See Also:
    Constant Field Values

### GL_VERTEX_ARRAY_BINDING

    static final int GL_VERTEX_ARRAY_BINDING

  Part of `GL_ARB_vertex_array_object`

  See Also:
    Constant Field Values

### GL_HALF_APPLE

    static final int GL_HALF_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_COLOR_FLOAT_APPLE

    static final int GL_COLOR_FLOAT_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT32_APPLE

    static final int GL_RGBA_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_RGB_FLOAT32_APPLE

    static final int GL_RGB_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT32_APPLE

    static final int GL_ALPHA_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT32_APPLE

    static final int GL_INTENSITY_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT32_APPLE

    static final int GL_LUMINANCE_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT32_APPLE

    static final int GL_LUMINANCE_ALPHA_FLOAT32_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT16_APPLE

    static final int GL_RGBA_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_RGB_FLOAT16_APPLE

    static final int GL_RGB_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT16_APPLE

    static final int GL_ALPHA_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT16_APPLE

    static final int GL_INTENSITY_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT16_APPLE

    static final int GL_LUMINANCE_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT16_APPLE

    static final int GL_LUMINANCE_ALPHA_FLOAT16_APPLE

  Part of `GL_APPLE_float_pixels`

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT32_ATI

    static final int GL_RGBA_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_RGB_FLOAT32_ATI

    static final int GL_RGB_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT32_ATI

    static final int GL_ALPHA_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT32_ATI

    static final int GL_INTENSITY_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT32_ATI

    static final int GL_LUMINANCE_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT32_ATI

    static final int GL_LUMINANCE_ALPHA_FLOAT32_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_RGBA_FLOAT16_ATI

    static final int GL_RGBA_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_RGB_FLOAT16_ATI

    static final int GL_RGB_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_ALPHA_FLOAT16_ATI

    static final int GL_ALPHA_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_INTENSITY_FLOAT16_ATI

    static final int GL_INTENSITY_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_LUMINANCE_FLOAT16_ATI

    static final int GL_LUMINANCE_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_LUMINANCE_ALPHA_FLOAT16_ATI

    static final int GL_LUMINANCE_ALPHA_FLOAT16_ATI

  Part of `GL_ATI_texture_float`

  See Also:
    Constant Field Values

### GL_FLOAT_R_NV

    static final int GL_FLOAT_R_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RG_NV

    static final int GL_FLOAT_RG_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGB_NV

    static final int GL_FLOAT_RGB_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGBA_NV

    static final int GL_FLOAT_RGBA_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_R16_NV

    static final int GL_FLOAT_R16_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_R32_NV

    static final int GL_FLOAT_R32_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RG16_NV

    static final int GL_FLOAT_RG16_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RG32_NV

    static final int GL_FLOAT_RG32_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGB16_NV

    static final int GL_FLOAT_RGB16_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGB32_NV

    static final int GL_FLOAT_RGB32_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGBA16_NV

    static final int GL_FLOAT_RGBA16_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGBA32_NV

    static final int GL_FLOAT_RGBA32_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_TEXTURE_FLOAT_COMPONENTS_NV

    static final int GL_TEXTURE_FLOAT_COMPONENTS_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_CLEAR_COLOR_VALUE_NV

    static final int GL_FLOAT_CLEAR_COLOR_VALUE_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_FLOAT_RGBA_MODE_NV

    static final int GL_FLOAT_RGBA_MODE_NV

  Part of `GL_NV_float_buffer`

  See Also:
    Constant Field Values

### GL_PRIMITIVE_RESTART

    static final int GL_PRIMITIVE_RESTART

  Part of `GL_NV_primitive_restart`

  See Also:
    Constant Field Values

### GL_PRIMITIVE_RESTART_INDEX

    static final int GL_PRIMITIVE_RESTART_INDEX

  Part of `GL_NV_primitive_restart`

  See Also:
    Constant Field Values

### GL_SAMPLER_BUFFER

    static final int GL_SAMPLER_BUFFER

  Part of `GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_2D_RECT

    static final int GL_INT_SAMPLER_2D_RECT

  Part of `GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_BUFFER

    static final int GL_INT_SAMPLER_BUFFER

  Part of `GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_2D_RECT

    static final int GL_UNSIGNED_INT_SAMPLER_2D_RECT

  Part of `GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER

    static final int GL_UNSIGNED_INT_SAMPLER_BUFFER

  Part of `GL_EXT_gpu_shader4`

  See Also:
    Constant Field Values

### GL_SAMPLER_BUFFER_AMD

    static final int GL_SAMPLER_BUFFER_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_INT_SAMPLER_BUFFER_AMD

    static final int GL_INT_SAMPLER_BUFFER_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD

    static final int GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_DISCRETE_AMD

    static final int GL_DISCRETE_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_CONTINUOUS_AMD

    static final int GL_CONTINUOUS_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_TESSELLATION_MODE_AMD

    static final int GL_TESSELLATION_MODE_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

### GL_TESSELLATION_FACTOR_AMD

    static final int GL_TESSELLATION_FACTOR_AMD

  Part of `GL_AMD_vertex_shader_tessellator`

  See Also:
    Constant Field Values

Method Detail

### glBeginConditionalRender

    void glBeginConditionalRender(int target,
                                  int id)

  Entry point to C language function: `void glBeginConditionalRender(GLuint target, GLenum id);`
  Part of `GL_VERSION_3_0`

### glBeginQuery

    void glBeginQuery(int target,
                      int id)

  Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id);`
  Part of `GL_VERSION_1_5`

### glBeginTransformFeedback

    void glBeginTransformFeedback(int mode)

  Entry point to C language function: `void glBeginTransformFeedback(GLenum mode);`
  Part of `GL_VERSION_3_0`

### glBindBufferBase

    void glBindBufferBase(int red,
                          int green,
                          int blue)

  Entry point to C language function: `void glBindBufferBase(GLenum red, GLuint green, GLuint blue);`
  Part of `GL_VERSION_3_0`

### glBindBufferRange

    void glBindBufferRange(int target,
                           int index,
                           int buffer,
                           int offset,
                           int size)

  Entry point to C language function: `void glBindBufferRange(GLenum target, GLuint index, GLuint buffer, ptrdiff_t offset, ptrdiff_t size);`
  Part of `GL_VERSION_3_0`

### glBindFragDataLocation

    void glBindFragDataLocation(int program,
                                int index,
                                String name)

  Entry point to C language function: `void glBindFragDataLocation(GLuint program, GLuint index, const GLchar * name);`
  Part of `GL_VERSION_3_0`

### glBindVertexArray

    void glBindVertexArray(int mode)

  Entry point to C language function: `void glBindVertexArray(GLuint mode);`
  Part of `GL_ARB_vertex_array_object`

### glBlitFramebuffer

    void glBlitFramebuffer(int srcX0,
                           int srcY0,
                           int srcX1,
                           int srcY1,
                           int dstX0,
                           int dstY0,
                           int dstX1,
                           int dstY1,
                           int mask,
                           int filter)

  Entry point to C language function: `void glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter);`
  Part of `GL_ARB_framebuffer_object`

### glClampColor

    void glClampColor(int target,
                      int id)

  Entry point to C language function: `void glClampColor(GLenum target, GLenum id);`
  Part of `GL_VERSION_3_0`

### glClearBufferfi

    void glClearBufferfi(int buffer,
                         int drawbuffer,
                         float depth,
                         int stencil)

  Entry point to C language function: `void glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil);`
  Part of `GL_VERSION_3_0`

### glClearBufferfv

    void glClearBufferfv(int buffer,
                         int drawbuffer,
                         FloatBuffer value)

  Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);`
  Part of `GL_VERSION_3_0`

### glClearBufferfv

    void glClearBufferfv(int buffer,
                         int drawbuffer,
                         float[] value,
                         int value_offset)

  Entry point to C language function: `void glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat * value);`
  Part of `GL_VERSION_3_0`

### glClearBufferiv

    void glClearBufferiv(int buffer,
                         int drawbuffer,
                         IntBuffer value)

  Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);`
  Part of `GL_VERSION_3_0`

### glClearBufferiv

    void glClearBufferiv(int buffer,
                         int drawbuffer,
                         int[] value,
                         int value_offset)

  Entry point to C language function: `void glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint * value);`
  Part of `GL_VERSION_3_0`

### glClearBufferuiv

    void glClearBufferuiv(int buffer,
                          int drawbuffer,
                          IntBuffer value)

  Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glClearBufferuiv

    void glClearBufferuiv(int buffer,
                          int drawbuffer,
                          int[] value,
                          int value_offset)

  Entry point to C language function: `void glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glColorMaski

    void glColorMaski(int index,
                      boolean x,
                      boolean y,
                      boolean z,
                      boolean w)

  Entry point to C language function: `void glColorMaski(GLuint index, GLboolean x, GLboolean y, GLboolean z, GLboolean w);`
  Part of `GL_VERSION_3_0`

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                Buffer data)

  Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexImage1D

    void glCompressedTexImage1D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int border,
                                int imageSize,
                                long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                Buffer data)

  Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexImage3D

    void glCompressedTexImage3D(int target,
                                int level,
                                int internalformat,
                                int width,
                                int height,
                                int depth,
                                int border,
                                int imageSize,
                                long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   Buffer data)

  Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage1D

    void glCompressedTexSubImage1D(int target,
                                   int level,
                                   int xoffset,
                                   int width,
                                   int format,
                                   int imageSize,
                                   long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   Buffer data)

  Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCompressedTexSubImage3D

    void glCompressedTexSubImage3D(int target,
                                   int level,
                                   int xoffset,
                                   int yoffset,
                                   int zoffset,
                                   int width,
                                   int height,
                                   int depth,
                                   int format,
                                   int imageSize,
                                   long data_buffer_offset)

  Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data);`
  Part of `GL_VERSION_1_3`

### glCopyTexImage1D

    void glCopyTexImage1D(int target,
                          int level,
                          int internalformat,
                          int x,
                          int y,
                          int width,
                          int border)

  Entry point to C language function: `void glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border);`
  Part of `GL_VERSION_1_1`

### glCopyTexSubImage1D

    void glCopyTexSubImage1D(int target,
                             int level,
                             int xoffset,
                             int x,
                             int y,
                             int width)

  Entry point to C language function: `void glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width);`
  Part of `GL_VERSION_1_1`

### glCopyTexSubImage3D

    void glCopyTexSubImage3D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int zoffset,
                             int x,
                             int y,
                             int width,
                             int height)

  Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height);`
  Part of `GL_VERSION_1_2`

### glDeleteQueries

    void glDeleteQueries(int n,
                         IntBuffer ids)

  Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);`
  Part of `GL_VERSION_1_5`

### glDeleteQueries

    void glDeleteQueries(int n,
                         int[] ids,
                         int ids_offset)

  Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids);`
  Part of `GL_VERSION_1_5`

### glDeleteVertexArrays

    void glDeleteVertexArrays(int n,
                              IntBuffer ids)

  Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

### glDeleteVertexArrays

    void glDeleteVertexArrays(int n,
                              int[] ids,
                              int ids_offset)

  Entry point to C language function: `void glDeleteVertexArrays(GLsizei n, const GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

### glDisablei

    void glDisablei(int target,
                    int id)

  Entry point to C language function: `void glDisablei(GLenum target, GLuint id);`
  Part of `GL_VERSION_3_0`

### glDrawArraysInstanced

    void glDrawArraysInstanced(int target,
                               int s,
                               int t,
                               int r)

  Entry point to C language function: `void glDrawArraysInstancedARB(GLenum target, GLint s, GLsizei t, GLsizei r);`
  Part of `GL_ARB_draw_instanced`

### glDrawBuffer

    void glDrawBuffer(int mode)

  Entry point to C language function: `void glDrawBuffer(GLenum mode);`
  Part of `GL_VERSION_1_0`

### glDrawBuffers

    void glDrawBuffers(int n,
                       IntBuffer ids)

  Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);`
  Part of `GL_VERSION_2_0`

### glDrawBuffers

    void glDrawBuffers(int n,
                       int[] ids,
                       int ids_offset)

  Entry point to C language function: `void glDrawBuffers(GLsizei n, const GLenum * ids);`
  Part of `GL_VERSION_2_0`

### glDrawElementsInstanced

    void glDrawElementsInstanced(int mode,
                                 int count,
                                 int type,
                                 Buffer indices,
                                 int primcount)

  Entry point to C language function: `void glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei primcount);`
  Part of `GL_ARB_draw_instanced`

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             int count,
                             int type,
                             Buffer indices)

  Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);`
  Part of `GL_VERSION_1_2`

### glDrawRangeElements

    void glDrawRangeElements(int mode,
                             int start,
                             int end,
                             int count,
                             int type,
                             long indices_buffer_offset)

  Entry point to C language function: `void glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices);`
  Part of `GL_VERSION_1_2`

### glEnablei

    void glEnablei(int target,
                   int id)

  Entry point to C language function: `void glEnablei(GLenum target, GLuint id);`
  Part of `GL_VERSION_3_0`

### glEndConditionalRender

    void glEndConditionalRender()

  Entry point to C language function: `void glEndConditionalRender(void);`
  Part of `GL_VERSION_3_0`

### glEndQuery

    void glEndQuery(int mode)

  Entry point to C language function: `void glEndQuery(GLenum mode);`
  Part of `GL_VERSION_1_5`

### glEndTransformFeedback

    void glEndTransformFeedback()

  Entry point to C language function: `void glEndTransformFeedback(void);`
  Part of `GL_VERSION_3_0`

### glFlushMappedBufferRange

    void glFlushMappedBufferRange(int target,
                                  int s,
                                  int t)

  Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, ptrdiff_t s, ptrdiff_t t);`
  Part of `GL_ARB_map_buffer_range`

### glFramebufferTexture1D

    void glFramebufferTexture1D(int target,
                                int attachment,
                                int textarget,
                                int texture,
                                int level)

  Entry point to C language function: `void glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level);`
  Part of `GL_ARB_framebuffer_object`

### glFramebufferTexture3D

    void glFramebufferTexture3D(int target,
                                int attachment,
                                int textarget,
                                int texture,
                                int level,
                                int zoffset)

  Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset);`
  Part of `GL_ARB_framebuffer_object`

### glFramebufferTexture

    void glFramebufferTexture(int target,
                              int attachment,
                              int texture,
                              int level)

  Entry point to C language function: `void glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level);`
  Part of `GL_ARB_geometry_shader4`

### glFramebufferTextureFace

    void glFramebufferTextureFace(int target,
                                  int attachment,
                                  int texture,
                                  int level,
                                  int face)

  Entry point to C language function: `void glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face);`
  Part of `GL_ARB_geometry_shader4`

### glFramebufferTextureLayer

    void glFramebufferTextureLayer(int target,
                                   int index,
                                   int buffer,
                                   int offset,
                                   int size)

  Entry point to C language function: `void glFramebufferTextureLayer(GLenum target, GLenum index, GLuint buffer, GLint offset, GLint size);`
  Part of `GL_ARB_framebuffer_object`

### glGenQueries

    void glGenQueries(int n,
                      IntBuffer ids)

  Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);`
  Part of `GL_VERSION_1_5`

### glGenQueries

    void glGenQueries(int n,
                      int[] ids,
                      int ids_offset)

  Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids);`
  Part of `GL_VERSION_1_5`

### glGenVertexArrays

    void glGenVertexArrays(int n,
                           IntBuffer ids)

  Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

### glGenVertexArrays

    void glGenVertexArrays(int n,
                           int[] ids,
                           int ids_offset)

  Entry point to C language function: `void glGenVertexArrays(GLsizei n, GLuint * ids);`
  Part of `GL_ARB_vertex_array_object`

### glGetBooleani_v

    void glGetBooleani_v(int target,
                         int index,
                         ByteBuffer data)

  Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);`
  Part of `GL_VERSION_3_0`

### glGetBooleani_v

    void glGetBooleani_v(int target,
                         int index,
                         byte[] data,
                         int data_offset)

  Entry point to C language function: `void glGetBooleani_v(GLenum target, GLuint index, GLboolean * data);`
  Part of `GL_VERSION_3_0`

### glGetBufferSubData

    void glGetBufferSubData(int target,
                            int offset,
                            int size,
                            Buffer data)

  Entry point to C language function: `void glGetBufferSubData(GLenum target, ptrdiff_t offset, ptrdiff_t size, GLvoid * data);`
  Part of `GL_VERSION_1_5`

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int level,
                                 Buffer img)

  Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);`
  Part of `GL_VERSION_1_3`

### glGetCompressedTexImage

    void glGetCompressedTexImage(int target,
                                 int level,
                                 long img_buffer_offset)

  Entry point to C language function: `void glGetCompressedTexImage(GLenum target, GLint level, GLvoid * img);`
  Part of `GL_VERSION_1_3`

### glGetDoublev

    void glGetDoublev(int pname,
                      DoubleBuffer params)

  Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_1_0`

### glGetDoublev

    void glGetDoublev(int pname,
                      double[] params,
                      int params_offset)

  Entry point to C language function: `void glGetDoublev(GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_1_0`

### glGetFragDataLocation

    int glGetFragDataLocation(int program,
                              String name)

  Entry point to C language function: `GLint glGetFragDataLocation(GLuint program, const GLchar * name);`
  Part of `GL_VERSION_3_0`

### glGetIntegeri_v

    void glGetIntegeri_v(int target,
                         int pname,
                         IntBuffer params)

  Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetIntegeri_v

    void glGetIntegeri_v(int target,
                         int pname,
                         int[] params,
                         int params_offset)

  Entry point to C language function: `void glGetIntegeri_v(GLenum target, GLuint pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetQueryObjectiv

    void glGetQueryObjectiv(int target,
                            int pname,
                            IntBuffer params)

  Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

### glGetQueryObjectiv

    void glGetQueryObjectiv(int target,
                            int pname,
                            int[] params,
                            int params_offset)

  Entry point to C language function: `void glGetQueryObjectiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

### glGetQueryObjectuiv

    void glGetQueryObjectuiv(int id,
                             int pname,
                             IntBuffer params)

  Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_1_5`

### glGetQueryObjectuiv

    void glGetQueryObjectuiv(int id,
                             int pname,
                             int[] params,
                             int params_offset)

  Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_1_5`

### glGetQueryiv

    void glGetQueryiv(int target,
                      int pname,
                      IntBuffer params)

  Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

### glGetQueryiv

    void glGetQueryiv(int target,
                      int pname,
                      int[] params,
                      int params_offset)

  Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_5`

### glGetStringi

    String glGetStringi(int name,
                        int index)

  Entry point to C language function: `const GLubyte * glGetStringi(GLenum name, GLuint index);`
  Part of `GL_VERSION_3_0`

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       Buffer pixels)

  Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

### glGetTexImage

    void glGetTexImage(int target,
                       int level,
                       int format,
                       int type,
                       long pixels_buffer_offset)

  Entry point to C language function: `void glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

### glGetTexLevelParameterfv

    void glGetTexLevelParameterfv(int target,
                                  int level,
                                  int pname,
                                  FloatBuffer params)

  Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0`

### glGetTexLevelParameterfv

    void glGetTexLevelParameterfv(int target,
                                  int level,
                                  int pname,
                                  float[] params,
                                  int params_offset)

  Entry point to C language function: `void glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat * params);`
  Part of `GL_VERSION_1_0`

### glGetTexLevelParameteriv

    void glGetTexLevelParameteriv(int target,
                                  int level,
                                  int pname,
                                  IntBuffer params)

  Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0`

### glGetTexLevelParameteriv

    void glGetTexLevelParameteriv(int target,
                                  int level,
                                  int pname,
                                  int[] params,
                                  int params_offset)

  Entry point to C language function: `void glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint * params);`
  Part of `GL_VERSION_1_0`

### glGetTexParameterIiv

    void glGetTexParameterIiv(int target,
                              int pname,
                              IntBuffer params)

  Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetTexParameterIiv

    void glGetTexParameterIiv(int target,
                              int pname,
                              int[] params,
                              int params_offset)

  Entry point to C language function: `void glGetTexParameterIiv(GLenum target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetTexParameterIuiv

    void glGetTexParameterIuiv(int id,
                               int pname,
                               IntBuffer params)

  Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetTexParameterIuiv

    void glGetTexParameterIuiv(int id,
                               int pname,
                               int[] params,
                               int params_offset)

  Entry point to C language function: `void glGetTexParameterIuiv(GLenum id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetTransformFeedbackVarying

    void glGetTransformFeedbackVarying(int program,
                                       int index,
                                       int bufSize,
                                       IntBuffer length,
                                       IntBuffer size,
                                       IntBuffer type,
                                       ByteBuffer name)

  Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);`
  Part of `GL_VERSION_3_0`

### glGetTransformFeedbackVarying

    void glGetTransformFeedbackVarying(int program,
                                       int index,
                                       int bufSize,
                                       int[] length,
                                       int length_offset,
                                       int[] size,
                                       int size_offset,
                                       int[] type,
                                       int type_offset,
                                       byte[] name,
                                       int name_offset)

  Entry point to C language function: `void glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei * length, GLsizei * size, GLenum * type, GLchar * name);`
  Part of `GL_VERSION_3_0`

### glGetUniformuiv

    void glGetUniformuiv(int program,
                         int location,
                         IntBuffer params)

  Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetUniformuiv

    void glGetUniformuiv(int program,
                         int location,
                         int[] params,
                         int params_offset)

  Entry point to C language function: `void glGetUniformuiv(GLuint program, GLint location, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetVertexAttribIiv

    void glGetVertexAttribIiv(int target,
                              int pname,
                              IntBuffer params)

  Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetVertexAttribIiv

    void glGetVertexAttribIiv(int target,
                              int pname,
                              int[] params,
                              int params_offset)

  Entry point to C language function: `void glGetVertexAttribIiv(GLuint target, GLenum pname, GLint * params);`
  Part of `GL_VERSION_3_0`

### glGetVertexAttribIuiv

    void glGetVertexAttribIuiv(int id,
                               int pname,
                               IntBuffer params)

  Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetVertexAttribIuiv

    void glGetVertexAttribIuiv(int id,
                               int pname,
                               int[] params,
                               int params_offset)

  Entry point to C language function: `void glGetVertexAttribIuiv(GLuint id, GLenum pname, GLuint * params);`
  Part of `GL_VERSION_3_0`

### glGetVertexAttribdv

    void glGetVertexAttribdv(int index,
                             int pname,
                             DoubleBuffer params)

  Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_2_0`

### glGetVertexAttribdv

    void glGetVertexAttribdv(int index,
                             int pname,
                             double[] params,
                             int params_offset)

  Entry point to C language function: `void glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble * params);`
  Part of `GL_VERSION_2_0`

### glIsEnabledi

    boolean glIsEnabledi(int target,
                         int index)

  Entry point to C language function: `GLboolean glIsEnabledi(GLenum target, GLuint index);`
  Part of `GL_VERSION_3_0`

### glIsQuery

    boolean glIsQuery(int id)

  Entry point to C language function: `GLboolean glIsQuery(GLuint id);`
  Part of `GL_VERSION_1_5`

### glIsVertexArray

    boolean glIsVertexArray(int id)

  Entry point to C language function: `GLboolean glIsVertexArray(GLuint id);`
  Part of `GL_ARB_vertex_array_object`

### glLogicOp

    void glLogicOp(int opcode)

  Entry point to C language function: `void glLogicOp(GLenum opcode);`
  Part of `GL_VERSION_1_0`

### glMapBufferRange

    ByteBuffer glMapBufferRange(int target,
                                int offset,
                                int length,
                                int access)

  Entry point to C language function: `GLvoid * glMapBufferRange(GLenum target, ptrdiff_t offset, ptrdiff_t length, GLbitfield access);`
  Part of `GL_ARB_map_buffer_range`

### glMultiDrawArrays

    void glMultiDrawArrays(int mode,
                           IntBuffer first,
                           IntBuffer count,
                           int primcount)

  Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

### glMultiDrawArrays

    void glMultiDrawArrays(int mode,
                           int[] first,
                           int first_offset,
                           int[] count,
                           int count_offset,
                           int primcount)

  Entry point to C language function: `void glMultiDrawArrays(GLenum mode, GLint * first, GLsizei * count, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

### glMultiDrawElements

    void glMultiDrawElements(int mode,
                             IntBuffer count,
                             int type,
                             Buffer[] indices,
                             int primcount)

  Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

### glMultiDrawElements

    void glMultiDrawElements(int mode,
                             int[] count,
                             int count_offset,
                             int type,
                             Buffer[] indices,
                             int primcount)

  Entry point to C language function: `void glMultiDrawElements(GLenum mode, const GLsizei * count, GLenum type, const GLvoid * * indices, GLsizei primcount);`
  Part of `GL_VERSION_1_4`

### glPixelStoref

    void glPixelStoref(int pname,
                       float param)

  Entry point to C language function: `void glPixelStoref(GLenum pname, GLfloat param);`
  Part of `GL_VERSION_1_0`

### glPointParameterf

    void glPointParameterf(int target,
                           float s)

  Entry point to C language function: `void glPointParameterf(GLenum target, GLfloat s);`
  Part of `GL_VERSION_1_4`

### glPointParameterfv

    void glPointParameterfv(int target,
                            FloatBuffer v)

  Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);`
  Part of `GL_VERSION_1_4`

### glPointParameterfv

    void glPointParameterfv(int target,
                            float[] v,
                            int v_offset)

  Entry point to C language function: `void glPointParameterfv(GLenum target, const GLfloat * v);`
  Part of `GL_VERSION_1_4`

### glPointParameteri

    void glPointParameteri(int target,
                           int s)

  Entry point to C language function: `void glPointParameteri(GLenum target, GLint s);`
  Part of `GL_VERSION_1_4`

### glPointParameteriv

    void glPointParameteriv(int target,
                            IntBuffer v)

  Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);`
  Part of `GL_VERSION_1_4`

### glPointParameteriv

    void glPointParameteriv(int target,
                            int[] v,
                            int v_offset)

  Entry point to C language function: `void glPointParameteriv(GLenum target, const GLint * v);`
  Part of `GL_VERSION_1_4`

### glPointSize

    void glPointSize(float size)

  Entry point to C language function: `void glPointSize(GLfloat size);`
  Part of `GL_VERSION_1_0`

### glPolygonMode

    void glPolygonMode(int face,
                       int mode)

  Entry point to C language function: `void glPolygonMode(GLenum face, GLenum mode);`
  Part of `GL_VERSION_1_0`

### glPrimitiveRestartIndex

    void glPrimitiveRestartIndex(int mode)

  Entry point to C language function: `void glPrimitiveRestartIndexNV(GLuint mode);`
  Part of `GL_NV_primitive_restart`

### glProgramParameteri

    void glProgramParameteri(int target,
                             int pname,
                             int params)

  Entry point to C language function: `void glProgramParameteriARB(GLuint target, GLenum pname, GLint params);`
  Part of `GL_ARB_geometry_shader4`

### glReadBuffer

    void glReadBuffer(int mode)

  Entry point to C language function: `void glReadBuffer(GLenum mode);`
  Part of `GL_VERSION_1_0`

### glRenderbufferStorageMultisample

    void glRenderbufferStorageMultisample(int target,
                                          int samples,
                                          int internalformat,
                                          int width,
                                          int height)

  Entry point to C language function: `void glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height);`
  Part of `GL_ARB_framebuffer_object`

### glTessellationFactorAMD

    void glTessellationFactorAMD(float factor)

  Entry point to C language function: `void glTessellationFactorAMD(GLfloat factor);`
  Part of `GL_AMD_vertex_shader_tessellator`

### glTessellationModeAMD

    void glTessellationModeAMD(int mode)

  Entry point to C language function: `void glTessellationModeAMD(GLenum mode);`
  Part of `GL_AMD_vertex_shader_tessellator`

### glTexBuffer

    void glTexBuffer(int red,
                     int green,
                     int blue)

  Entry point to C language function: `void glTexBufferARB(GLenum red, GLenum green, GLuint blue);`
  Part of `GL_ARB_texture_buffer_object`

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int border,
                      int format,
                      int type,
                      Buffer pixels)

  Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

### glTexImage1D

    void glTexImage1D(int target,
                      int level,
                      int internalFormat,
                      int width,
                      int border,
                      int format,
                      int type,
                      long pixels_buffer_offset)

  Entry point to C language function: `void glTexImage1D(GLenum target, GLint level, GLint internalFormat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_0`

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      Buffer pixels)

  Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

### glTexImage3D

    void glTexImage3D(int target,
                      int level,
                      int internalformat,
                      int width,
                      int height,
                      int depth,
                      int border,
                      int format,
                      int type,
                      long pixels_buffer_offset)

  Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

### glTexParameterIiv

    void glTexParameterIiv(int target,
                           int pname,
                           IntBuffer params)

  Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_3_0`

### glTexParameterIiv

    void glTexParameterIiv(int target,
                           int pname,
                           int[] params,
                           int params_offset)

  Entry point to C language function: `void glTexParameterIiv(GLenum target, GLenum pname, const GLint * params);`
  Part of `GL_VERSION_3_0`

### glTexParameterIuiv

    void glTexParameterIuiv(int target,
                            int pname,
                            IntBuffer params)

  Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);`
  Part of `GL_VERSION_3_0`

### glTexParameterIuiv

    void glTexParameterIuiv(int target,
                            int pname,
                            int[] params,
                            int params_offset)

  Entry point to C language function: `void glTexParameterIuiv(GLenum target, GLenum pname, const GLuint * params);`
  Part of `GL_VERSION_3_0`

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         Buffer pixels)

  Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_1`

### glTexSubImage1D

    void glTexSubImage1D(int target,
                         int level,
                         int xoffset,
                         int width,
                         int format,
                         int type,
                         long pixels_buffer_offset)

  Entry point to C language function: `void glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_1`

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         Buffer pixels)

  Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

### glTexSubImage3D

    void glTexSubImage3D(int target,
                         int level,
                         int xoffset,
                         int yoffset,
                         int zoffset,
                         int width,
                         int height,
                         int depth,
                         int format,
                         int type,
                         long pixels_buffer_offset)

  Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels);`
  Part of `GL_VERSION_1_2`

### glTransformFeedbackVaryings

    void glTransformFeedbackVaryings(int program,
                                     int count,
                                     String[] locations,
                                     int bufferMode)

  Entry point to C language function: `void glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * * locations, GLenum bufferMode);`
  Part of `GL_VERSION_3_0`

### glUniform1ui

    void glUniform1ui(int location,
                      int v0)

  Entry point to C language function: `void glUniform1ui(GLint location, GLuint v0);`
  Part of `GL_VERSION_3_0`

### glUniform1uiv

    void glUniform1uiv(int location,
                       int count,
                       IntBuffer value)

  Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform1uiv

    void glUniform1uiv(int location,
                       int count,
                       int[] value,
                       int value_offset)

  Entry point to C language function: `void glUniform1uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform2ui

    void glUniform2ui(int location,
                      int v0,
                      int v1)

  Entry point to C language function: `void glUniform2ui(GLint location, GLuint v0, GLuint v1);`
  Part of `GL_VERSION_3_0`

### glUniform2uiv

    void glUniform2uiv(int location,
                       int count,
                       IntBuffer value)

  Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform2uiv

    void glUniform2uiv(int location,
                       int count,
                       int[] value,
                       int value_offset)

  Entry point to C language function: `void glUniform2uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform3ui

    void glUniform3ui(int location,
                      int v0,
                      int v1,
                      int v2)

  Entry point to C language function: `void glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2);`
  Part of `GL_VERSION_3_0`

### glUniform3uiv

    void glUniform3uiv(int location,
                       int count,
                       IntBuffer value)

  Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform3uiv

    void glUniform3uiv(int location,
                       int count,
                       int[] value,
                       int value_offset)

  Entry point to C language function: `void glUniform3uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform4ui

    void glUniform4ui(int location,
                      int v0,
                      int v1,
                      int v2,
                      int v3)

  Entry point to C language function: `void glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3);`
  Part of `GL_VERSION_3_0`

### glUniform4uiv

    void glUniform4uiv(int location,
                       int count,
                       IntBuffer value)

  Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniform4uiv

    void glUniform4uiv(int location,
                       int count,
                       int[] value,
                       int value_offset)

  Entry point to C language function: `void glUniform4uiv(GLint location, GLsizei count, const GLuint * value);`
  Part of `GL_VERSION_3_0`

### glUniformMatrix2x3fv

    void glUniformMatrix2x3fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix2x3fv

    void glUniformMatrix2x3fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix2x4fv

    void glUniformMatrix2x4fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix2x4fv

    void glUniformMatrix2x4fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix3x2fv

    void glUniformMatrix3x2fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix3x2fv

    void glUniformMatrix3x2fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix3x4fv

    void glUniformMatrix3x4fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix3x4fv

    void glUniformMatrix3x4fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix4x2fv

    void glUniformMatrix4x2fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix4x2fv

    void glUniformMatrix4x2fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix4x3fv

    void glUniformMatrix4x3fv(int location,
                              int count,
                              boolean transpose,
                              FloatBuffer value)

  Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glUniformMatrix4x3fv

    void glUniformMatrix4x3fv(int location,
                              int count,
                              boolean transpose,
                              float[] value,
                              int value_offset)

  Entry point to C language function: `void glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value);`
  Part of `GL_VERSION_2_1`

### glVertexAttrib1d

    void glVertexAttrib1d(int target,
                          double s)

  Entry point to C language function: `void glVertexAttrib1d(GLuint target, GLdouble s);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib1dv

    void glVertexAttrib1dv(int target,
                           DoubleBuffer v)

  Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib1dv

    void glVertexAttrib1dv(int target,
                           double[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib1dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib1s

    void glVertexAttrib1s(int target,
                          short s)

  Entry point to C language function: `void glVertexAttrib1s(GLuint target, GLshort s);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib1sv

    void glVertexAttrib1sv(int target,
                           ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib1sv

    void glVertexAttrib1sv(int target,
                           short[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib1sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2d

    void glVertexAttrib2d(int target,
                          double s,
                          double t)

  Entry point to C language function: `void glVertexAttrib2d(GLuint target, GLdouble s, GLdouble t);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2dv

    void glVertexAttrib2dv(int target,
                           DoubleBuffer v)

  Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2dv

    void glVertexAttrib2dv(int target,
                           double[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib2dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2s

    void glVertexAttrib2s(int target,
                          short s,
                          short t)

  Entry point to C language function: `void glVertexAttrib2s(GLuint target, GLshort s, GLshort t);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2sv

    void glVertexAttrib2sv(int target,
                           ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib2sv

    void glVertexAttrib2sv(int target,
                           short[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib2sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3d

    void glVertexAttrib3d(int target,
                          double s,
                          double t,
                          double r)

  Entry point to C language function: `void glVertexAttrib3d(GLuint target, GLdouble s, GLdouble t, GLdouble r);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3dv

    void glVertexAttrib3dv(int target,
                           DoubleBuffer v)

  Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3dv

    void glVertexAttrib3dv(int target,
                           double[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib3dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3s

    void glVertexAttrib3s(int target,
                          short s,
                          short t,
                          short r)

  Entry point to C language function: `void glVertexAttrib3s(GLuint target, GLshort s, GLshort t, GLshort r);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3sv

    void glVertexAttrib3sv(int target,
                           ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib3sv

    void glVertexAttrib3sv(int target,
                           short[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib3sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nbv

    void glVertexAttrib4Nbv(int index,
                            ByteBuffer v)

  Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nbv

    void glVertexAttrib4Nbv(int index,
                            byte[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4Nbv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Niv

    void glVertexAttrib4Niv(int target,
                            IntBuffer v)

  Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Niv

    void glVertexAttrib4Niv(int target,
                            int[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4Niv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nsv

    void glVertexAttrib4Nsv(int target,
                            ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nsv

    void glVertexAttrib4Nsv(int target,
                            short[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4Nsv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nub

    void glVertexAttrib4Nub(int index,
                            byte x,
                            byte y,
                            byte z,
                            byte w)

  Entry point to C language function: `void glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nubv

    void glVertexAttrib4Nubv(int index,
                             ByteBuffer v)

  Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nubv

    void glVertexAttrib4Nubv(int index,
                             byte[] v,
                             int v_offset)

  Entry point to C language function: `void glVertexAttrib4Nubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nuiv

    void glVertexAttrib4Nuiv(int index,
                             IntBuffer v)

  Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nuiv

    void glVertexAttrib4Nuiv(int index,
                             int[] v,
                             int v_offset)

  Entry point to C language function: `void glVertexAttrib4Nuiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nusv

    void glVertexAttrib4Nusv(int index,
                             ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4Nusv

    void glVertexAttrib4Nusv(int index,
                             short[] v,
                             int v_offset)

  Entry point to C language function: `void glVertexAttrib4Nusv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4bv

    void glVertexAttrib4bv(int index,
                           ByteBuffer v)

  Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4bv

    void glVertexAttrib4bv(int index,
                           byte[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib4bv(GLuint index, const GLbyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4d

    void glVertexAttrib4d(int target,
                          double s,
                          double t,
                          double r,
                          double q)

  Entry point to C language function: `void glVertexAttrib4d(GLuint target, GLdouble s, GLdouble t, GLdouble r, GLdouble q);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4dv

    void glVertexAttrib4dv(int target,
                           DoubleBuffer v)

  Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4dv

    void glVertexAttrib4dv(int target,
                           double[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib4dv(GLuint target, const GLdouble * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4iv

    void glVertexAttrib4iv(int target,
                           IntBuffer v)

  Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4iv

    void glVertexAttrib4iv(int target,
                           int[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib4iv(GLuint target, const GLint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4s

    void glVertexAttrib4s(int target,
                          short s,
                          short t,
                          short r,
                          short q)

  Entry point to C language function: `void glVertexAttrib4s(GLuint target, GLshort s, GLshort t, GLshort r, GLshort q);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4sv

    void glVertexAttrib4sv(int target,
                           ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4sv

    void glVertexAttrib4sv(int target,
                           short[] v,
                           int v_offset)

  Entry point to C language function: `void glVertexAttrib4sv(GLuint target, const GLshort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4ubv

    void glVertexAttrib4ubv(int index,
                            ByteBuffer v)

  Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4ubv

    void glVertexAttrib4ubv(int index,
                            byte[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4ubv(GLuint index, const GLubyte * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4uiv

    void glVertexAttrib4uiv(int index,
                            IntBuffer v)

  Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4uiv

    void glVertexAttrib4uiv(int index,
                            int[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4uiv(GLuint index, const GLuint * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4usv

    void glVertexAttrib4usv(int index,
                            ShortBuffer v)

  Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttrib4usv

    void glVertexAttrib4usv(int index,
                            short[] v,
                            int v_offset)

  Entry point to C language function: `void glVertexAttrib4usv(GLuint index, const GLushort * v);`
  Part of `GL_VERSION_2_0`

### glVertexAttribIPointer

    void glVertexAttribIPointer(int index,
                                int size,
                                int type,
                                int stride,
                                Buffer pointer)

  Entry point to C language function: `void glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer);`
  Part of `GL_VERSION_3_0`

### glAllocateMemoryNV

    ByteBuffer glAllocateMemoryNV(int arg0,
                                  float arg1,
                                  float arg2,
                                  float arg3)

  Provides platform-independent access to the `wglAllocateMemoryNV` / `glXAllocateMemoryNV` extension.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.